#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x6a8698ca, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xfcffd024, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x26cec77a, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x3efb334f, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x3e4147c1, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xe470509f, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xfab6b057, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x70ed5e84, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x241e8dcf, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x08d380f8, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x44ea7313, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x5079cfad, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xff161449, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x53d9c260, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x19ce127e, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0xbad7d7af, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xf974e315, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x0f0cc22a, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x10e7a473, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7d3e0c1a, "phy_set_mode_ext" },
	{ 0xcac90e93, "phy_power_on" },
	{ 0x1619e063, "phy_init" },
	{ 0x13a25394, "phy_power_off" },
	{ 0x71a542f9, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd9517dfb, "regulator_disable" },
	{ 0x68317423, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xc42a15d0, "__pm_runtime_idle" },
	{ 0x1526f47b, "__pm_runtime_disable" },
	{ 0x23835dc5, "ata_host_resume" },
	{ 0x40c8497f, "ahci_reset_controller" },
	{ 0xce912074, "ahci_init_controller" },
	{ 0x204d91e3, "regulator_enable" },
	{ 0x9740a948, "platform_get_irq" },
	{ 0x22f44565, "ahci_save_initial_config" },
	{ 0xb43c96c2, "ahci_set_em_messages" },
	{ 0x934453d6, "ata_host_alloc_pinfo" },
	{ 0x8315647d, "platform_get_resource" },
	{ 0xd4a8b822, "ata_port_desc" },
	{ 0x601a7902, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xc3d353a, "ahci_print_info" },
	{ 0xf092bbc9, "ahci_host_activate" },
	{ 0x3e0cf576, "dma_set_mask" },
	{ 0xfc71d778, "dma_set_coherent_mask" },
	{ 0x757aa43, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0xb35a4ca9, "devres_open_group" },
	{ 0x5a6e9f41, "__devres_alloc_node" },
	{ 0x677c9e29, "devres_add" },
	{ 0x7682618, "platform_get_resource_byname" },
	{ 0xfbdf6d19, "devm_platform_ioremap_resource_byname" },
	{ 0x224d9336, "devm_clk_bulk_get_all" },
	{ 0x581f36b6, "devm_regulator_get" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5b7ed7f, "devm_of_phy_get" },
	{ 0x41b4f32d, "regulator_get" },
	{ 0xe988943f, "pm_runtime_enable" },
	{ 0xa0b49ffe, "__pm_runtime_resume" },
	{ 0x9b8a41d, "devres_remove_group" },
	{ 0xb0b92735, "devm_platform_ioremap_resource" },
	{ 0x6687415f, "devres_release_group" },
	{ 0x4dfee429, "devm_reset_control_array_get" },
	{ 0xb022670, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7074d7f9, "ata_host_suspend" },
	{ 0x2d86fdb2, "__pm_runtime_set_status" },
	{ 0x9f78b9fe, "ahci_ops" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "AFCFA732A21B6242723F671");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
