#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0xd6226d6f, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x019daa73, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0xc05ebd04, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x42401891, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x10ad6dc6, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x3d2bb1d9, "");
SYMBOL_CRC(dfl_driver_unregister, 0xee1fd8b4, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xd98ef394, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x9849c15d, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xbc3a3cd3, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x6a56cee6, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xc778019f, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x2867f1eb, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x30198608, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0xf86d1805, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0xccc7480c, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xefb453f0, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x8fa37d14, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x4f75d923, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x90113784, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x012666a6, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x4a5bad4a, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0x7592d056, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x78c4452a, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xac4647c0, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0xa6165828, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x51855226, "try_module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa7c0fd89, "module_put" },
	{ 0x3b7fb2f2, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x599e49a5, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcdf5448b, "cdev_init" },
	{ 0xd3a456f2, "cdev_add" },
	{ 0x5054877c, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x36876cd4, "get_device" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0x66ae6d4, "put_device" },
	{ 0x72f8a260, "devm_kfree" },
	{ 0x82b32ca4, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x339f33b1, "__devm_request_region" },
	{ 0x1a57ce14, "devm_ioremap" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe1c23b96, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x46022094, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8adb10f2, "device_unregister" },
	{ 0xb0b92735, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xca507531, "device_initialize" },
	{ 0x1a3ce6b6, "dev_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x31e2ff2d, "device_add" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xf4399a70, "platform_device_add" },
	{ 0x1851f1ea, "platform_device_del" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe00d699a, "platform_device_put" },
	{ 0x3bc4a43f, "device_for_each_child" },
	{ 0x5f8d1645, "fpga_region_unregister" },
	{ 0x9e8b6d9a, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x146223da, "devm_ioremap_resource" },
	{ 0x3b89f7bf, "__fpga_region_register" },
	{ 0xea8deb9, "devm_iounmap" },
	{ 0xc1c9c2a0, "__devm_release_region" },
	{ 0x87d93d5e, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "192EAE9BEEDF3E5B6649B18");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
