#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x244ba161, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x2a021f68, "");
SYMBOL_CRC(ib_cm_listen, 0x495e09dc, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x8db10cfe, "");
SYMBOL_CRC(ib_send_cm_req, 0xf5d87905, "");
SYMBOL_CRC(ib_send_cm_rep, 0x6fefc80b, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x3854f9b7, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x3db2127d, "");
SYMBOL_CRC(ib_send_cm_drep, 0xfb17317f, "");
SYMBOL_CRC(ib_send_cm_rej, 0xa0147d36, "");
SYMBOL_CRC(ib_send_cm_mra, 0x3460d8be, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xa6019eb2, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xe62913dd, "");
SYMBOL_CRC(ib_cm_notify, 0x440c9e75, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xdb3319d7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f9dba6, "trace_event_buffer_commit" },
	{ 0x692cff18, "rdma_create_ah" },
	{ 0x9a753d31, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xded6ece4, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xdd5e805a, "ib_register_client" },
	{ 0x8ffe1428, "ib_unregister_mad_agent" },
	{ 0x44e29230, "ib_post_send_mad" },
	{ 0x302c2253, "ib_create_send_mad" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2798b5cb, "perf_trace_run_bpf_submit" },
	{ 0x3b296dca, "rdma_destroy_ah_attr" },
	{ 0x7f1099cf, "ib_set_client_data" },
	{ 0x5fcb5260, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x5a3edf12, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe0e7f166, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcb6d5b05, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x686358b2, "rdma_destroy_ah_user" },
	{ 0x718294ca, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x54ece6f1, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x6be349f6, "bpf_trace_run3" },
	{ 0x34e9bf46, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3cb44020, "trace_event_buffer_reserve" },
	{ 0x659f68c2, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa9d7080f, "ib_free_recv_mad" },
	{ 0x91384218, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5c204659, "ib_modify_mad" },
	{ 0xcb1ab6c7, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0xe3a67449, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9fb5ba27, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x40ab2154, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfab916ae, "__trace_trigger_soft_disabled" },
	{ 0x57b29b93, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6a4ce540, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xa71eb805, "rdma_query_gid" },
	{ 0x2179d30a, "ib_port_register_client_groups" },
	{  0xbe61e, "pcpu_hot" },
	{ 0xa72b06be, "ib_modify_port" },
	{ 0x1be7f544, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "E4E2A2774A72D619A18540F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
