#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xebd67f67, "input_event" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x39e6fda2, "input_set_abs_params" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x949cc88d, "input_device_enabled" },
	{ 0xa0b49ffe, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1ebacdd8, "input_alloc_absinfo" },
	{ 0x777db02c, "i2c_transfer" },
	{ 0xc63c3dad, "i2c_smbus_write_byte_data" },
	{ 0xd9517dfb, "regulator_disable" },
	{ 0x1b40dfee, "__pm_runtime_suspend" },
	{ 0x4b16c642, "i2c_smbus_read_i2c_block_data" },
	{ 0x9de8df76, "__devm_add_action" },
	{ 0x28ef83d3, "i2c_del_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7551b18a, "__pm_runtime_use_autosuspend" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x9b7e7a2c, "i2c_smbus_read_byte_data" },
	{ 0x1526f47b, "__pm_runtime_disable" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x204d91e3, "regulator_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6c397a70, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0x1b46acfc, "i2c_smbus_write_i2c_block_data" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2762593c, "input_mt_sync_frame" },
	{ 0xc8a89c92, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaaaf0a17, "request_firmware" },
	{ 0x46807bc9, "input_mt_report_slot_state" },
	{ 0xe32494cc, "devm_input_allocate_device" },
	{ 0xee1de90, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4150f8f2, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2d86fdb2, "__pm_runtime_set_status" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x97e9059d, "pm_wakeup_dev_event" },
	{ 0x91b470fc, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe988943f, "pm_runtime_enable" },
	{ 0x5f6ca7a4, "i2c_smbus_read_block_data" },
	{ 0x2e70ad, "i2c_smbus_xfer" },
	{ 0x581f36b6, "devm_regulator_get" },
	{ 0xa1957bc9, "i2c_register_driver" },
	{ 0xd10c04d8, "sysfs_unmerge_group" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x83f0e45b, "input_mt_init_slots" },
	{ 0xb0d52e1b, "sysfs_merge_group" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:CYAP0000:*");
MODULE_ALIAS("acpi*:CYAP0001:*");
MODULE_ALIAS("acpi*:CYAP0002:*");
MODULE_ALIAS("i2c:cyapa");

MODULE_INFO(srcversion, "9B05DBBFAD3BD623E1B33DE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
