#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x665246b9, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xf25284bb, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0x8be63fad, "");
SYMBOL_CRC(cx18_claim_stream, 0x8a0a12bc, "");
SYMBOL_CRC(cx18_release_stream, 0xa3b96891, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda555207, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2084645, "video_devdata" },
	{ 0x7dfecaeb, "i2c_new_scanned_device" },
	{ 0x6310680, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x12fd335e, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x29cddf78, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa8c2be1, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xbbb057fa, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x88e2db44, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xe9db0e2c, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x43cb006a, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6166424, "vb2_ioctl_prepare_buf" },
	{ 0xed49556a, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x20316ff1, "pci_read_config_word" },
	{ 0x34b66f87, "vb2_buffer_done" },
	{ 0x48c79399, "vb2_plane_vaddr" },
	{ 0xa67539c6, "v4l2_ctrl_subscribe_event" },
	{ 0xbd865f0c, "v4l2_fh_init" },
	{ 0x6a39f95b, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1126e439, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x9cdb807e, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcc552ad, "dvb_dmxdev_release" },
	{ 0xc77a1f35, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6964cfb6, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2b2f6234, "param_ops_short" },
	{ 0x11c93c63, "vb2_vmalloc_memops" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf793458b, "vb2_fop_read" },
	{ 0xfbb177f, "__v4l2_device_register_subdev" },
	{ 0xaf269d0f, "v4l2_device_register" },
	{ 0x2ed0134, "dvb_frontend_detach" },
	{ 0xd06aabb, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x84a437d1, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x697fa1e5, "__video_register_device" },
	{ 0xc26f9a79, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0819b33, "dvb_unregister_frontend" },
	{ 0xd143738, "pci_write_config_byte" },
	{ 0x67700b36, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd0be887d, "vb2_ioctl_streamon" },
	{ 0xc2a18f14, "vb2_fop_poll" },
	{ 0x58863fc1, "v4l2_ctrl_new_std" },
	{ 0xfd0ea400, "v4l2_ctrl_g_ctrl" },
	{ 0x7d3572e6, "cx2341x_handler_init" },
	{ 0xbf1afc55, "cx2341x_handler_set_50hz" },
	{ 0xcb170bdc, "v4l2_ctrl_handler_free" },
	{ 0x476cfac6, "v4l2_device_unregister" },
	{ 0x2a006dad, "pci_disable_device" },
	{ 0x4978d0a7, "dvb_register_frontend" },
	{ 0x3e0cf576, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc6cb15b5, "v4l2_subdev_call_wrappers" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xa86608aa, "v4l2_i2c_new_subdev" },
	{ 0x21ed925c, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0xcb0464fc, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x968096de, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6bbf8f3e, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcf028d2e, "v4l2_event_unsubscribe" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc418c122, "vb2_ioctl_reqbufs" },
	{ 0xc856136b, "vb2_queue_init" },
	{ 0xb475ee50, "v4l2_fh_exit" },
	{ 0xb232d7ce, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9c674207, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f8ab70, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa923a1aa, "vb2_queue_release" },
	{ 0xc7f464b0, "pci_enable_device" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7e401a52, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xc3d64fa3, "i2c_bit_add_bus" },
	{ 0x533d47ce, "v4l2_fh_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x3f7c6e8b, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf6d2ae7c, "dma_unmap_page_attrs" },
	{ 0x79cfa089, "vb2_ops_wait_finish" },
	{ 0xaaaf0a17, "request_firmware" },
	{ 0x2d04e6b, "__pci_register_driver" },
	{ 0x8f694148, "v4l2_ctrl_handler_init_class" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xd1b9a1c9, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x349aed96, "vb2_ioctl_querybuf" },
	{ 0x2454d905, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7d9e1362, "vb2_video_unregister_device" },
	{ 0x27070472, "pci_unregister_driver" },
	{ 0xcb5e43c3, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5e650f6, "dev_driver_string" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9bb50a2e, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xa33487e7, "v4l2_ctrl_handler_log_status" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "169C2525B0A1AC6B9C9E51B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
