#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34b66f87, "vb2_buffer_done" },
	{ 0x48c79399, "vb2_plane_vaddr" },
	{ 0xbd865f0c, "v4l2_fh_init" },
	{ 0xf159d1f6, "usb_set_interface" },
	{ 0xcb07d304, "media_entity_pads_init" },
	{ 0x9cdb807e, "video_unregister_device" },
	{ 0xb77b0159, "v4l2_prio_init" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1f21c9a8, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x9833b845, "usb_deregister" },
	{ 0xc77a1f35, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6964cfb6, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfa9fd5bc, "usb_string" },
	{ 0x11c93c63, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0x5074e573, "v4l2_fraction_to_interval" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xebd67f67, "input_event" },
	{ 0x315de2cf, "v4l2_ctrl_get_menu" },
	{ 0xfbb177f, "__v4l2_device_register_subdev" },
	{ 0xaf269d0f, "v4l2_device_register" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5f4e515c, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe18c63d2, "dma_free_noncontiguous" },
	{ 0x19675a8b, "dma_alloc_noncontiguous" },
	{ 0x82737e8, "v4l2_ctrl_merge" },
	{ 0x8e566da9, "debugfs_create_file" },
	{ 0x68e26f2a, "usb_enable_autosuspend" },
	{ 0xc5c13711, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x697fa1e5, "__video_register_device" },
	{ 0x67700b36, "vb2_ops_wait_prepare" },
	{ 0xfd0d9b66, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd0be887d, "vb2_ioctl_streamon" },
	{ 0xc2a18f14, "vb2_fop_poll" },
	{ 0x817ef0b7, "vb2_create_bufs" },
	{ 0x476cfac6, "v4l2_device_unregister" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x830f24ce, "dev_err_probe" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x14fb5822, "usb_debug_root" },
	{ 0xe9b710f7, "vb2_mmap" },
	{ 0x7ab30a30, "_dev_printk" },
	{ 0x920eb124, "v4l2_event_queue_fh" },
	{ 0x773f2ad, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0xcf028d2e, "v4l2_event_unsubscribe" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc418c122, "vb2_ioctl_reqbufs" },
	{ 0xc856136b, "vb2_queue_init" },
	{ 0x25621d7a, "input_allocate_device" },
	{ 0xb475ee50, "v4l2_fh_exit" },
	{ 0x416a6ee9, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0xafb25246, "usb_put_intf" },
	{ 0x470c733a, "usb_alloc_urb" },
	{ 0xa4a373cc, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45f8ab70, "video_ioctl2" },
	{ 0x52551b0a, "media_device_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdb2dbe23, "usb_free_urb" },
	{ 0x70012b5e, "vb2_streamoff" },
	{ 0x6c397a70, "devm_request_threaded_irq" },
	{ 0x98301c25, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa923a1aa, "vb2_queue_release" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7e401a52, "vb2_ioctl_streamoff" },
	{ 0x35ff98bf, "v4l2_format_info" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5ce867c9, "usb_get_current_frame_number" },
	{ 0xf446c863, "media_device_init" },
	{ 0x98ac9f0f, "vb2_poll" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d31145c, "usb_ifnum_to_if" },
	{ 0x533d47ce, "v4l2_fh_del" },
	{ 0xc99ef464, "dma_vunmap_noncontiguous" },
	{ 0x3f7c6e8b, "v4l2_fh_add" },
	{ 0x79cfa089, "vb2_ops_wait_finish" },
	{ 0x18aa2adb, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xa64b35d0, "usb_match_one_id" },
	{ 0xdd70d0c1, "gpiod_to_irq" },
	{ 0xee1de90, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8c5db3e, "uvc_format_by_guid" },
	{ 0xad5c3c93, "v4l2_simplify_fraction" },
	{ 0x37a0cba, "kfree" },
	{ 0x70a5e8b9, "vb2_dqbuf" },
	{ 0xaa2184c4, "__media_device_register" },
	{ 0x349aed96, "vb2_ioctl_querybuf" },
	{ 0x2454d905, "v4l2_subdev_init" },
	{ 0x736dc3e3, "devm_gpiod_get_optional" },
	{ 0xa6636f41, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0x8ca32538, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb9b336d6, "vb2_reqbufs" },
	{ 0xde618c66, "media_create_pad_link" },
	{ 0x32d43420, "v4l2_ctrl_get_name" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x286821ad, "input_free_device" },
	{ 0xcd45749c, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xaba62103, "usb_clear_halt" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x64b82fd7, "usb_put_dev" },
	{ 0x91b470fc, "input_register_device" },
	{ 0xc3df7a2, "vb2_expbuf" },
	{ 0xd7d366f3, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2084645, "video_devdata" },
	{ 0x12fd3064, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xc0d40992, "usb_get_dev" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x356de3b6, "vb2_streamon" },
	{ 0xf50fecbc, "v4l2_ctrl_replace" },
	{ 0x83cdc20b, "usb_submit_urb" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0x123959a1, "v4l2_type_names" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1ff0f817, "media_device_cleanup" },
	{ 0x88e2db44, "vb2_ioctl_dqbuf" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0xc7b48fdb, "vb2_querybuf" },
	{ 0xef3fe0cd, "dma_vmap_noncontiguous" },
	{ 0xe9db0e2c, "vb2_ioctl_create_bufs" },
	{ 0x6166424, "vb2_ioctl_prepare_buf" },
	{ 0x5af58181, "__dma_sync_sg_for_device" },
	{ 0xdd09628f, "vb2_qbuf" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb626c530, "usb_driver_claim_interface" },
	{ 0x37c80c21, "debugfs_remove" },
	{ 0xab72ed5b, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x15e2b996, "usb_poison_urb" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9cfbb8fc, "__dma_sync_sg_for_cpu" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-common,videodev,usbcore,mc,videobuf2-v4l2,videobuf2-vmalloc,uvc");

MODULE_ALIAS("usb:v0408p3090d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0408p4030d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0408p4034d*dc*dsc*dp*ic0Eisc01ip01in*");
MODULE_ALIAS("usb:v0416pA91Ad*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0458p706Ed*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v045Ep00F8d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v045Ep0721d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v045Ep0723d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp0821d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp0823d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C1d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C2d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C3d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C5d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C6d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C7d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp082Dd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp085Cd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp087Cd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp089Bd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08D3d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v04F2pB071d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v04F2pB5EBd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v04F2pB67Cd*dc*dsc*dp*ic0Eisc01ip01in*");
MODULE_ALIAS("usb:v04F2pB6BAd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v04F2pB746d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v058Fp3820d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05A9p2640d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05A9p2641d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05A9p2643d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05A9p264Ad*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05A9p7670d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05ACp8501d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05ACp8514d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05ACp8600d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05C8p0403d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05E3p0505d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v06F8p300Cd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0AC8p332Dd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0AC8p3410d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0AC8p3420d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0BD3p0555d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0E8Dp0004d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v13D3p5103d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v152Dp0310d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp5212d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp5931d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp8A12d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp8A31d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp8A33d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp8A34d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v17DCp0202d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v17EFp480Bd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1871p0306d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1871p0516d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v18CDpCAFEd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v18ECp3188d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v18ECp3288d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v18ECp3290d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v199Ep8102d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v19ABp1000d012[0-6]dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v19ABp1000d01[0-1]*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v19ABp1000d00*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1B3Bp2951d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1B3Fp2002d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1BCFp0B40d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1C4Fp3000d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v2833p0201d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v2833p0211d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v29FEp4D53d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v2B7EpB752d*dc*dsc*dp*ic0Eisc01ip01in*");
MODULE_ALIAS("usb:v2E1Ap4C01d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v30C9p0093d*dc*dsc*dp*ic0Eisc01ip01in*");
MODULE_ALIAS("usb:v3277p0072d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v3277p009Ed*dc*dsc*dp*ic0Eisc01ip01in*");
MODULE_ALIAS("usb:v5986p1172d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v5986p1180d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v8086p0AD2d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v8086p0AD3d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v8086p0AD4d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v8086p0B03d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v8086p0B07d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v8086p0B3Ad*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v8086p0B5Bd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v8086p0B5Cd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic0Eisc01ip01in*");

MODULE_INFO(srcversion, "7D0F0BB44A8B6895958C0B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
