#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8f24c2a, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d9e7d3e, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x997acae3, "mpt_HardResetHandler" },
	{ 0xe7f9d48d, "mpt_free_msg_frame" },
	{ 0xbd27a78a, "scsi_is_host_device" },
	{ 0x15bd4f25, "dma_alloc_attrs" },
	{ 0xe25586f5, "mpt_config" },
	{ 0xbc9dec91, "dma_free_attrs" },
	{ 0xaa00c6e4, "scsi_device_lookup_by_target" },
	{ 0x8018e6b9, "sdev_prefix_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ab30a30, "_dev_printk" },
	{ 0x28520f34, "mptscsih_slave_destroy" },
	{ 0x87e9f2b8, "mptscsih_event_process" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb4e9b55, "mptscsih_resume" },
	{ 0x68575c51, "mptscsih_ioc_reset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x26059d2d, "spi_dv_device" },
	{ 0x5db24c26, "spi_display_xfer_agreement" },
	{ 0x6eba6df2, "__scsi_iterate_devices" },
	{ 0xe7add8f, "mptscsih_slave_configure" },
	{ 0xcf5cf034, "mpt_findImVolumes" },
	{ 0xba2dae2, "scsi_scan_target" },
	{ 0x8c7ba0a3, "mptscsih_raid_id_to_num" },
	{ 0x7ce73079, "mptscsih_suspend" },
	{ 0xa31ead43, "mptscsih_shutdown" },
	{ 0x538e4e98, "mptscsih_info" },
	{ 0x21a0d22a, "mptscsih_abort" },
	{ 0x18caca79, "mptscsih_dev_reset" },
	{ 0xdf8544e0, "mptscsih_bus_reset" },
	{ 0x3a8fb595, "mptscsih_host_reset" },
	{ 0x69b68567, "mptscsih_change_queue_depth" },
	{ 0x6d578fa8, "mptscsih_bios_param" },
	{ 0x265213a0, "mptscsih_show_info" },
	{ 0x1b4cd9dc, "mptscsih_host_attr_groups" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x242b961e, "spi_attach_transport" },
	{ 0x4a6db202, "mptscsih_io_done" },
	{ 0xca9ce108, "mpt_register" },
	{ 0x7634812a, "mptscsih_taskmgmt_complete" },
	{ 0x42dc6070, "mptscsih_scandv_complete" },
	{ 0x715cc622, "mpt_event_register" },
	{ 0x60679f25, "mpt_reset_register" },
	{ 0x2d04e6b, "__pci_register_driver" },
	{ 0x93157177, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9f1aad9, "scsi_remove_host" },
	{ 0x48d355f7, "mptscsih_remove" },
	{ 0xc4ac72b6, "mptscsih_qcmd" },
	{ 0x4804bac2, "mptscsih_is_phys_disk" },
	{ 0xb0d3bfe0, "scsi_done" },
	{ 0x27070472, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x430070ce, "mpt_attach" },
	{ 0x50c665b6, "scsi_host_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1f88171a, "scsi_add_host_with_dma" },
	{ 0xd782c1b0, "scsi_scan_host" },
	{ 0xa64de83f, "mptscsih_IssueTaskMgmt" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A3A275A6992ADA1E98A2DC3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
