#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8aafa295, "eth_commit_mac_addr_change" },
	{ 0x7c3c164a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f14a329, "pskb_expand_head" },
	{ 0xb5e650f6, "dev_driver_string" },
	{ 0x6f9dba6, "trace_event_buffer_commit" },
	{ 0x92330d47, "dev_addr_mod" },
	{ 0x817433e7, "xdp_rxq_info_reg_mem_model" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xbca767f7, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9bb50a2e, "dma_map_page_attrs" },
	{ 0x8d190f33, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x2e2934fa, "skb_checksum_help" },
	{ 0x4052bc09, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7988b2e6, "__napi_schedule" },
	{ 0x54f0792f, "eth_prepare_mac_addr_change" },
	{ 0xa916b694, "strnlen" },
	{ 0x9c8a095, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf5a3eb1d, "__free_pages" },
	{ 0x53fb3823, "napi_gro_receive" },
	{ 0x9abbe738, "netif_device_attach" },
	{ 0xd51e60c0, "netdev_pick_tx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xed8d5b4, "build_skb" },
	{ 0x19ca4134, "dev_open" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2798b5cb, "perf_trace_run_bpf_submit" },
	{ 0xda12611c, "__skb_get_hash" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0xd1c69ec2, "softnet_data" },
	{ 0x841f8e4f, "xdp_build_skb_from_frame" },
	{ 0xcb73632c, "vmbus_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x29bc1487, "netif_set_real_num_tx_queues" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x915a1b10, "netif_set_real_num_rx_queues" },
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0xbf75f840, "dev_close" },
	{ 0x25b5b959, "napi_enable" },
	{ 0xa999c59e, "netdev_upper_dev_unlink" },
	{ 0xe0e7f166, "trace_event_reg" },
	{ 0xd3a8023e, "vmbus_next_request_id" },
	{ 0x713ab8d9, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x46c2eaf6, "ethtool_op_get_link" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0x9b7cd24, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7e7506c4, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xdc900373, "netif_tx_wake_queue" },
	{ 0xabbf4952, "dev_set_alias" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8335192c, "dev_set_mac_address" },
	{ 0xfb578fc5, "memset" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa521f86e, "hv_pkt_iter_close" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xef48af17, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xed02ff18, "netdev_master_upper_dev_link" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb2c8080e, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f4e515c, "pv_ops" },
	{ 0x6be349f6, "bpf_trace_run3" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x54c153da, "__dev_queue_xmit" },
	{ 0x999e8297, "vfree" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3cb44020, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7aa99a5f, "vmbus_set_sc_create_callback" },
	{ 0xdab2c5ce, "bpf_prog_add" },
	{ 0x9013c569, "call_netdevice_notifiers" },
	{ 0x57924655, "dev_set_allmulti" },
	{ 0x35978cba, "vmbus_request_addr" },
	{ 0xaf615b86, "xdp_rxq_info_unreg" },
	{ 0x191a0e97, "__vmbus_driver_register" },
	{ 0xc82ebc61, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20fd6fc3, "netdev_master_upper_dev_get" },
	{ 0x98822c4a, "bpf_prog_inc" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x63506008, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x841f04a4, "skb_clone" },
	{ 0x718a4b68, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b013550, "alloc_pages_noprof" },
	{ 0x25388e2c, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4a6272e3, "netif_set_tso_max_size" },
	{ 0x2b7739d7, "__skb_flow_dissect" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xff826c51, "xdp_master_redirect" },
	{ 0xe5b53baf, "__napi_schedule_irqoff" },
	{ 0xf1648683, "napi_schedule_prep" },
	{ 0x3a776ff, "napi_consume_skb" },
	{ 0x579e668b, "napi_disable" },
	{ 0x896fa2c9, "dev_kfree_skb_any_reason" },
	{ 0x26426b57, "netdev_notice" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x566dc091, "__netdev_notify_peers" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x3b77d3a, "vmbus_establish_gpadl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbf9896c7, "__dev_change_net_namespace" },
	{ 0xd9487cc0, "dev_change_flags" },
	{ 0x65bf2749, "__hv_pkt_iter_next" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb3182e8c, "ethtool_op_get_ts_info" },
	{ 0x8a394801, "vmbus_sendpacket_pagebuffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c87aaf, "pci_bus_type" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xe42845ee, "netdev_info" },
	{ 0x71c4a5a5, "__skb_vlan_pop" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe285d20c, "register_netdevice" },
	{ 0xe4e66f76, "__tracepoint_xdp_exception" },
	{ 0xf8a134f9, "napi_alloc_skb" },
	{ 0x8e6eb13b, "alloc_etherdev_mqs" },
	{ 0xdc845dae, "vmbus_driver_unregister" },
	{ 0x4336fcca, "ucs2_as_utf8" },
	{ 0xeb86e264, "__do_once_done" },
	{ 0x21117c80, "ethtool_virtdev_set_link_ksettings" },
	{ 0x8621cf77, "dev_set_mtu" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x279d0ad7, "vzalloc_node_noprof" },
	{ 0xbdb2217d, "hv_is_isolation_supported" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x527385ae, "bpf_prog_put" },
	{ 0x6e0defbc, "dev_mc_sync" },
	{ 0x98301c25, "param_ops_uint" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0x36f858ae, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x32970c6a, "netdev_update_features" },
	{ 0x856fab5f, "vmalloc_to_page" },
	{ 0xc291481b, "consume_skb" },
	{ 0x6bcde476, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x40ab2154, "trace_raw_output_prep" },
	{ 0xbcd34707, "bpf_warn_invalid_xdp_action" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfab916ae, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedd9f5ae, "dev_uc_sync" },
	{ 0xf6d2ae7c, "dma_unmap_page_attrs" },
	{ 0x57b29b93, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xbcced547, "vmbus_sendpacket" },
	{ 0x9e01cb3e, "vmbus_teardown_gpadl" },
	{ 0x91f6547a, "hv_pkt_iter_first" },
	{ 0x6a4ce540, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x65868454, "dev_set_promiscuity" },
	{  0xbe61e, "pcpu_hot" },
	{ 0x62132c49, "xdp_do_redirect" },
	{ 0x1f091b8d, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1be7f544, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfc8fb099, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3a268126, "__netif_napi_del" },
	{ 0x883749c3, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5f9ce442, "vmbus_close" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus");

MODULE_ALIAS("vmbus:635161f83edfc546913ff2d2f965ed0e");

MODULE_INFO(srcversion, "1A22650458B1607E6B57F37");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
