#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_read, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_write, "", "");
KSYMTAB_FUNC(bcm_phy_write_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_ack_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_shadow, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_shadow, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_apd, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_eee, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_get, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_set, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_sset_count, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_strings, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_stats, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_r_rc_cal_reset, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_28nm_a0b0_afe_config_init, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_jumbo, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_wol_isr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_led_brightness_set, "_gpl", "");

SYMBOL_CRC(__bcm_phy_write_exp, 0x09900b8b, "_gpl");
SYMBOL_CRC(bcm_phy_write_exp, 0x55fb98e4, "_gpl");
SYMBOL_CRC(__bcm_phy_read_exp, 0x255d9d1c, "_gpl");
SYMBOL_CRC(bcm_phy_read_exp, 0xda85d8ec, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_exp, 0xc6e59029, "_gpl");
SYMBOL_CRC(bcm_phy_modify_exp, 0x4fd03e8e, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_read, 0x1aa80bdb, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_write, 0xa5c0ed78, "");
SYMBOL_CRC(bcm_phy_write_misc, 0xecf2a5d9, "_gpl");
SYMBOL_CRC(bcm_phy_read_misc, 0x80c86e00, "_gpl");
SYMBOL_CRC(bcm_phy_ack_intr, 0x30beac5e, "_gpl");
SYMBOL_CRC(bcm_phy_config_intr, 0x243d93c6, "_gpl");
SYMBOL_CRC(bcm_phy_handle_interrupt, 0xc0a063b1, "_gpl");
SYMBOL_CRC(bcm_phy_read_shadow, 0xe1444714, "_gpl");
SYMBOL_CRC(bcm_phy_write_shadow, 0x04b63863, "_gpl");
SYMBOL_CRC(__bcm_phy_read_rdb, 0x6964ea31, "_gpl");
SYMBOL_CRC(bcm_phy_read_rdb, 0x96bcafc1, "_gpl");
SYMBOL_CRC(__bcm_phy_write_rdb, 0x0df3e233, "_gpl");
SYMBOL_CRC(bcm_phy_write_rdb, 0x5198715c, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_rdb, 0x3b2254ae, "_gpl");
SYMBOL_CRC(bcm_phy_modify_rdb, 0xb217fa09, "_gpl");
SYMBOL_CRC(bcm_phy_enable_apd, 0xb9f7e90a, "_gpl");
SYMBOL_CRC(bcm_phy_set_eee, 0xcf4a4170, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_get, 0xf243152b, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_set, 0x202b107a, "_gpl");
SYMBOL_CRC(bcm_phy_get_sset_count, 0xbf96c866, "_gpl");
SYMBOL_CRC(bcm_phy_get_strings, 0x4fd9bca6, "_gpl");
SYMBOL_CRC(bcm_phy_get_stats, 0x90f12fea, "_gpl");
SYMBOL_CRC(bcm_phy_r_rc_cal_reset, 0x340d4f89, "_gpl");
SYMBOL_CRC(bcm_phy_28nm_a0b0_afe_config_init, 0x6dddf19f, "_gpl");
SYMBOL_CRC(bcm_phy_enable_jumbo, 0xa52e941f, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start, 0x032b0803, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status, 0x25a3405c, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start_rdb, 0x128f6264, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status_rdb, 0x2b70abb9, "_gpl");
SYMBOL_CRC(bcm_phy_set_wol, 0x796438d7, "_gpl");
SYMBOL_CRC(bcm_phy_get_wol, 0x22426f1a, "_gpl");
SYMBOL_CRC(bcm_phy_wol_isr, 0xa0f0ddfd, "_gpl");
SYMBOL_CRC(bcm_phy_led_brightness_set, 0xa795c9cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f5202a6, "mdiobus_write" },
	{ 0xd754a6d0, "mdiobus_read" },
	{ 0xae57ba4f, "phy_trigger_machine" },
	{ 0x73867cb8, "phy_error" },
	{ 0x4cd3893f, "phy_read_mmd" },
	{ 0x8878ff9, "phy_write_mmd" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x94e9443f, "__mdiobus_write" },
	{ 0x39a98496, "__mdiobus_read" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x704f7ebb, "phy_modify" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7b461b9, "ethnl_cable_test_result" },
	{ 0x6491106a, "ethnl_cable_test_fault_length" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "D6D87B59996E8D5917EE9C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
