#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7791e200, "genphy_soft_reset" },
	{ 0x55fb98e4, "bcm_phy_write_exp" },
	{ 0xecf2a5d9, "bcm_phy_write_misc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xda85d8ec, "bcm_phy_read_exp" },
	{ 0x80c86e00, "bcm_phy_read_misc" },
	{ 0xe1444714, "bcm_phy_read_shadow" },
	{ 0x4b63863, "bcm_phy_write_shadow" },
	{ 0xb9f7e90a, "bcm_phy_enable_apd" },
	{ 0x6dddf19f, "bcm_phy_28nm_a0b0_afe_config_init" },
	{ 0x340d4f89, "bcm_phy_r_rc_cal_reset" },
	{ 0xa52e941f, "bcm_phy_enable_jumbo" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x39a98496, "__mdiobus_read" },
	{ 0x94e9443f, "__mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4fd9bca6, "bcm_phy_get_strings" },
	{ 0xeb0af22, "genphy_read_status" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x569fb402, "phy_drivers_register" },
	{ 0x7f5202a6, "mdiobus_write" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x202b107a, "bcm_phy_downshift_set" },
	{ 0xcf4a4170, "bcm_phy_set_eee" },
	{ 0x8fc9a1ac, "genphy_restart_aneg" },
	{ 0xf243152b, "bcm_phy_downshift_get" },
	{ 0x62159608, "__genphy_config_aneg" },
	{ 0x90f12fea, "bcm_phy_get_stats" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0xbf96c866, "bcm_phy_get_sset_count" },
	{ 0x44ac999a, "devm_clk_get_optional_enabled" },
	{ 0xd754a6d0, "mdiobus_read" },
	{ 0xb2b85785, "phy_drivers_unregister" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0011010110010000010100110001????");
MODULE_ALIAS("mdio:0011010110010000010100110101????");
MODULE_ALIAS("mdio:0011010110010000010100110100????");
MODULE_ALIAS("mdio:1010111000000010010100101000????");
MODULE_ALIAS("mdio:1010111000000010010100010010????");
MODULE_ALIAS("mdio:1010111000000010010100011001????");
MODULE_ALIAS("mdio:1010111000000010010100001001????");
MODULE_ALIAS("mdio:1010111000000010010100111011????");
MODULE_ALIAS("mdio:1010111000000010010100011010????");
MODULE_ALIAS("mdio:1010111000000010010100100110????");
MODULE_ALIAS("mdio:0110000000001101100001001001????");
MODULE_ALIAS("mdio:0110000000001101100001100101????");
MODULE_ALIAS("mdio:0110000000001101100001001011????");
MODULE_ALIAS("mdio:0110000000001101100001101011????");
MODULE_ALIAS("mdio:0110000000001101100001110011????");
MODULE_ALIAS("mdio:1010111000000010010100101110????");
MODULE_ALIAS("mdio:0110000000001101100001001000????");
MODULE_ALIAS("mdio:0110000000001101100001110101????");
MODULE_ALIAS("mdio:0110000000001101100001010001????");
MODULE_ALIAS("mdio:0011010110010000010100110011????");

MODULE_INFO(srcversion, "38444A2C9546839A97CE810");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
