#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7fe83205, "mii_check_media" },
	{ 0xde30467, "mii_ethtool_gset" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff6b3164, "mii_nway_restart" },
	{ 0x92997ed8, "_printk" },
	{ 0xf9cd070f, "usbnet_get_endpoints" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4af87b04, "platform_get_ethdev_address" },
	{ 0x92330d47, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb41208, "usbnet_resume" },
	{ 0xe42845ee, "netdev_info" },
	{ 0xd1a995be, "usbnet_suspend" },
	{ 0x8acc9fb8, "usbnet_probe" },
	{ 0x5d1cc38d, "usbnet_disconnect" },
	{ 0x334ad04, "usbnet_open" },
	{ 0x166e184a, "usbnet_stop" },
	{ 0x3a69874e, "usbnet_start_xmit" },
	{ 0xefd6c451, "eth_mac_addr" },
	{ 0x1f091b8d, "eth_validate_addr" },
	{ 0xae635ec0, "usbnet_tx_timeout" },
	{ 0x84b8468c, "dev_get_tstats64" },
	{ 0x70369896, "usbnet_get_drvinfo" },
	{ 0xb9bb97ba, "usbnet_get_msglevel" },
	{ 0x60622a6b, "usbnet_set_msglevel" },
	{ 0x5785b35b, "usbnet_nway_reset" },
	{ 0x2006ead1, "usbnet_get_link" },
	{ 0x8dd377a1, "usbnet_get_link_ksettings_mii" },
	{ 0x8d263ca7, "usbnet_set_link_ksettings_mii" },
	{ 0xec42fa05, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a0fd3a1, "usbnet_write_cmd_nopm" },
	{ 0x3f3becf0, "usbnet_write_cmd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc8fb099, "netdev_warn" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe2521493, "usbnet_read_cmd_nopm" },
	{ 0x5b927bd0, "usbnet_read_cmd" },
	{ 0xad4dcae3, "usbnet_defer_kevent" },
	{ 0xb2c8080e, "__dynamic_netdev_dbg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0x17a2dc4b, "device_set_wakeup_enable" },
	{ 0x604de68c, "usbnet_change_mtu" },
	{ 0x98cb5250, "generic_mii_ioctl" },
	{ 0x18aa2adb, "usb_register_driver" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x9833b845, "usb_deregister" },
	{ 0xa75b8de7, "skb_push" },
	{ 0x3f14a329, "pskb_expand_head" },
	{ 0x896fa2c9, "dev_kfree_skb_any_reason" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3bc795b4, "skb_pull" },
	{ 0x45a528db, "__netdev_alloc_skb" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa122c5f1, "usbnet_skb_return" },
	{ 0x6c7b5850, "skb_trim" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "mii,usbnet,usbcore");

MODULE_ALIAS("usb:v0424p7500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7505d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "2BFEF559D94B0234CF38657");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
