#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x5408dd18, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x6536a9c1, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x064b3e5a, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x152fd464, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xb78572d1, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x003197d7, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x7ad27417, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x78b06eb6, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xe8663ca8, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xd38fd634, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x271d4a0f, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x42dd55ea, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x40924abf, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x4c655c65, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x5fdd2801, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x79e52716, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x445e98e6, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xf4cd7557, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x8c1ce018, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xd03167dc, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x7435e111, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x5dfebd80, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xd506030d, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x7d4eddf0, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xc45910e4, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x7a2566ce, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x589f3c32, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x00080fe4, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x67d5e096, "_gpl");
SYMBOL_CRC(rt2800_config, 0x6e04a937, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x022ea2bb, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xe92fce8a, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xd6e176e5, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x778bf2b3, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x5498c9f7, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x3b489ba1, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x7fbe7105, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x6306f673, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x91fde852, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x8d3929ee, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x604d54ca, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x71524359, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x50d1e77d, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x5d99f5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec42f02e, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa75b8de7, "skb_push" },
	{ 0x896fa2c9, "dev_kfree_skb_any_reason" },
	{ 0xd07abd9b, "__skb_pad" },
	{ 0xc4f61afc, "rt2x00lib_txdone_noinfo" },
	{ 0xc74c51, "ieee80211_restart_hw" },
	{ 0x3bc795b4, "skb_pull" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0x55682abd, "rt2x00lib_set_mac_address" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x98301c25, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x632691b1, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x232592f1, "rt2x00lib_txdone" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0x60a26b74, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x156b02fe, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe5534e0, "rt2x00mac_conf_tx" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "E50CA3EE42E0BDDB473FD60");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
