#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c6fbbfe, "fc_fabric_login" },
	{ 0x367a60c, "fc_vport_setlink" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xbee45604, "_fc_frame_alloc" },
	{ 0x9c046dbc, "fc_frame_alloc_fill" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x720facd7, "init_net" },
	{ 0x44acc159, "dev_get_by_index" },
	{ 0xe523a103, "vlan_dev_real_dev" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9b33e0d7, "unregister_dcbevent_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x128779c9, "__folio_put" },
	{ 0x1fa3146c, "__put_devmap_managed_folio_refs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x50c665b6, "scsi_host_alloc" },
	{ 0xc6d0ad2b, "libfc_vport_create" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x2357b04f, "fc_lport_config" },
	{ 0xdff736d6, "fc_set_mfs" },
	{ 0xbac58840, "fcoe_queue_timer" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x694e1ddd, "fcoe_link_speed_update" },
	{ 0x1f88171a, "scsi_add_host_with_dma" },
	{ 0x3850ceeb, "fcoe_libfc_config" },
	{ 0x7da62f21, "fc_exch_mgr_free" },
	{ 0x1a5a114, "scsi_host_put" },
	{ 0x6320f49, "fc_exch_mgr_alloc" },
	{ 0x4f5d208c, "fcoe_get_wwn" },
	{ 0xf343cc13, "fc_exch_mgr_list_clone" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3f30cc0, "fcoe_wwn_from_mac" },
	{ 0x99215a35, "fc_exch_mgr_add" },
	{ 0x51855226, "try_module_get" },
	{ 0xe7a37bd3, "fcoe_ctlr_device_add" },
	{ 0x66a9e972, "fcoe_ctlr_init" },
	{ 0xe19fba9b, "fcoe_ctlr_destroy" },
	{ 0x10c72aef, "fcoe_ctlr_device_delete" },
	{ 0xa7c0fd89, "module_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3e48644a, "dev_add_pack" },
	{ 0xd8123b65, "dcb_getapp" },
	{ 0x32c7968, "dcb_ieee_getapp_mask" },
	{ 0x56470118, "__warn_printk" },
	{ 0x891e2293, "fcoe_validate_vport_create" },
	{ 0xf167cb7a, "fcoe_wwn_to_str" },
	{ 0x3bc795b4, "skb_pull" },
	{ 0x8b769e47, "skb_copy_bits" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x1d3adef0, "fc_exch_recv" },
	{ 0xef48af17, "__pskb_pull_tail" },
	{ 0x4755db20, "kfree_skb_reason" },
	{  0xbe61e, "pcpu_hot" },
	{ 0x260a5e6a, "___pskb_trim" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0xa75b8de7, "skb_push" },
	{ 0xa886d4e2, "fcoe_start_io" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x438754ba, "fcoe_get_paged_crc_eof" },
	{ 0x12fd335e, "const_pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6c0f3f97, "fcoe_check_wait_queue" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa88be051, "fcoe_ctlr_els_send" },
	{ 0x4d324017, "fcoe_fc_crc" },
	{ 0x33b40b31, "fc_lport_destroy" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x25107276, "fc_remove_host" },
	{ 0xa9f1aad9, "scsi_remove_host" },
	{ 0x73fcadd, "fc_fcp_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa1bcd198, "fc_cpu_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x841f04a4, "skb_clone" },
	{ 0xc291481b, "consume_skb" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x697d23a7, "fc_queuecommand" },
	{ 0xb10fc9ff, "fc_eh_abort" },
	{ 0x8bc9fae4, "fc_eh_device_reset" },
	{ 0x5cd957ad, "fc_eh_host_reset" },
	{ 0xda71e788, "fc_slave_alloc" },
	{ 0xe52364d5, "scsi_change_queue_depth" },
	{ 0x609e7045, "fc_eh_timed_out" },
	{ 0x874019b2, "fc_set_rport_loss_tmo" },
	{ 0xbc8261f2, "fc_get_host_port_state" },
	{ 0x2949e906, "fc_get_host_speed" },
	{ 0x2a4805cb, "fc_get_host_stats" },
	{ 0x63c9cb24, "fc_rport_terminate_io" },
	{ 0xc15ae86c, "fc_lport_bsg_request" },
	{ 0xe31d31d2, "fcoe_get_lesb" },
	{ 0x5c8dc033, "fcoe_ctlr_get_lesb" },
	{ 0xc0cd46f1, "fcoe_fcf_get_selected" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0x98301c25, "param_ops_uint" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4f61c39d, "fcoe_ctlr_link_down" },
	{ 0xf7d47966, "fcoe_clean_pending_queue" },
	{ 0xb5074b29, "fcoe_ctlr_link_up" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2e0beb85, "dev_uc_del" },
	{ 0x91f02297, "dev_uc_add" },
	{ 0xaada381c, "vlan_dev_vlan_id" },
	{ 0x73e10aae, "fcoe_ctlr_set_fip_mode" },
	{ 0xdd314ed7, "dev_mc_del" },
	{ 0x62ca87c5, "dev_mc_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d634309, "fcoe_ctlr_recv" },
	{ 0xec8b5efe, "fcoe_ctlr_recv_flogi" },
	{ 0xb0a90f7e, "fc_elsct_send" },
	{ 0x29b42b48, "fc_lport_logo_resp" },
	{ 0x2bd24ddd, "fc_lport_flogi_resp" },
	{ 0x44c2175f, "__dev_remove_pack" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x51d4820f, "fcoe_transport_attach" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x93b3fc74, "register_dcbevent_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd6c4707e, "fc_attach_transport" },
	{ 0x48db4cb3, "fc_release_transport" },
	{ 0x5d02efab, "fcoe_transport_detach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x938debb1, "fc_fabric_logoff" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "libfc,scsi_mod,libfcoe,scsi_transport_fc");


MODULE_INFO(srcversion, "98FDDE1904877BF00B79CC2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
