#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ffs_lock, "_gpl", "");
KSYMTAB_FUNC(ffs_name_dev, "_gpl", "");
KSYMTAB_FUNC(ffs_single_dev, "_gpl", "");

SYMBOL_CRC(ffs_lock, 0x6c825859, "_gpl");
SYMBOL_CRC(ffs_name_dev, 0x82dceb9b, "_gpl");
SYMBOL_CRC(ffs_single_dev, 0x09f1287a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x824dce5e, "compat_ptr_ioctl" },
	{ 0xee9e3bb5, "usb_function_register" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc41271ae, "dma_buf_unmap_attachment" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xe40d8cc5, "usb_ep_clear_halt" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xea9e1a4e, "config_group_init_type_name" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9c406d01, "dma_buf_get" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xe871ad30, "ww_mutex_lock" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdb1a5023, "dma_buf_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x274ce1f1, "usb_ep_autoconfig" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x306c958, "unregister_gadget_item" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdb6c9b19, "usb_put_function_instance" },
	{ 0xce12ed6f, "kill_litter_super" },
	{ 0x5a5c092c, "sg_alloc_table_from_pages_segment" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x827ce606, "make_kgid" },
	{ 0x411a42c8, "d_delete" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x209dd14a, "usb_function_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x80e2ad81, "usb_ep_alloc_request" },
	{ 0x999e8297, "vfree" },
	{ 0xda03405, "usb_ep_set_halt" },
	{ 0xc1ef31cb, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb6f9de32, "inode_set_ctime_current" },
	{ 0x540e4572, "dup_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfaad98ab, "dput" },
	{ 0x9d764581, "generic_delete_inode" },
	{ 0xd0072119, "_copy_from_iter" },
	{ 0xbb7d42d7, "dma_buf_detach" },
	{ 0x65e450ad, "stream_open" },
	{ 0x51d8bbf3, "__fs_parse" },
	{ 0x8921cb7b, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf20eecb0, "usb_ep_queue" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xfbb36f98, "usb_ep_enable" },
	{ 0xa14a6557, "usb_ep_disable" },
	{ 0xba756724, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf9918229, "ww_mutex_lock_interruptible" },
	{ 0x4de697eb, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x813cd84b, "usb_string_ids_n" },
	{ 0x63f560cf, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9091de76, "simple_dir_inode_operations" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4f77014, "usb_ep_fifo_flush" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x856fab5f, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x65b5eb13, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8d37309a, "unregister_filesystem" },
	{ 0xfe6e9625, "dma_resv_wait_timeout" },
	{ 0x2cc71362, "usb_interface_id" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x796258bf, "d_alloc_name" },
	{ 0xd0c23f0a, "simple_statfs" },
	{ 0x32809561, "d_make_root" },
	{ 0xe56454f9, "ww_mutex_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x77afd74f, "dma_resv_add_fence" },
	{ 0x37a0cba, "kfree" },
	{ 0x77a42012, "usb_ep_fifo_status" },
	{ 0x45a2356f, "logfc" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb388f199, "fs_param_is_bool" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf566162d, "register_filesystem" },
	{ 0x3eef4927, "kiocb_set_cancel_fn" },
	{ 0x800d5835, "dma_buf_attach" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x82dbc63, "usb_ep_free_request" },
	{ 0x27ace2a9, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb374e050, "get_tree_nodev" },
	{ 0xe69e055b, "config_ep_by_speed" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x39f651ae, "fs_param_is_u32" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x365700e8, "ww_mutex_trylock" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2411ba5, "make_kuid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x5b10738c, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xa23cecfc, "dma_buf_map_attachment" },
	{ 0x12fd335e, "const_pcpu_hot" },
	{ 0xf171be08, "usb_ep_dequeue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "libcomposite,configfs");


MODULE_INFO(srcversion, "3230E6B582B87EE2BD4D322");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
