#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x60ebdf6e, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x7f947483, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0xbd820bac, "");
SYMBOL_CRC(usb_serial_resume, 0xc6e3eb95, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x70750383, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xea0996a5, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x6fcfdbb0, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xa5201ea1, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0xc1459c02, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x16a0c2b7, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x3a0fdda1, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x82d7dc91, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x443f776b, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x97f6e16f, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x3f720bbf, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x3fba522d, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x44535a38, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x2bfb4426, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0xb62819d7, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x0fc4e647, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x513a381d, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x2efe2dbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ca32538, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcd45749c, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x64b82fd7, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x66ae6d4, "put_device" },
	{ 0xc0d40992, "usb_get_dev" },
	{ 0x12fd335e, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x83cdc20b, "usb_submit_urb" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0x8865a138, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7c0fd89, "module_put" },
	{ 0xb8289d69, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd1f8f209, "usb_match_id" },
	{ 0xdc9edcd7, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x46022094, "bus_unregister" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x31e2ff2d, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc9e62bdb, "tty_ldisc_ref" },
	{ 0xd4500fcd, "tty_vhangup" },
	{ 0x8787697a, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x863849e, "tty_port_destroy" },
	{ 0xd0f924d, "tty_port_init" },
	{ 0xb626c530, "usb_driver_claim_interface" },
	{ 0xcb0d79dc, "seq_putc" },
	{ 0x15e2b996, "usb_poison_urb" },
	{ 0x19fc778f, "usb_unpoison_urb" },
	{ 0x599e49a5, "driver_unregister" },
	{ 0xd151f6e2, "tty_port_register_device" },
	{ 0x734ca1c8, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9833b845, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa3488f74, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xaac8ffa9, "tty_port_close" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc5c13711, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2411ac4a, "tty_register_driver" },
	{ 0x9f6420e2, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfd0d9b66, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbea56134, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d2cb4a5, "seq_printf" },
	{ 0x4b9da602, "tty_port_open" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3b7fb2f2, "driver_register" },
	{ 0x8257e806, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0xe1c23b96, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1288ca64, "tty_port_tty_get" },
	{ 0xafb25246, "usb_put_intf" },
	{ 0x470c733a, "usb_alloc_urb" },
	{ 0xa4a373cc, "usb_autopm_put_interface" },
	{ 0x51855226, "try_module_get" },
	{ 0xdb2dbe23, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1a3ce6b6, "dev_set_name" },
	{ 0x83b6440, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x7f6fded0, "tty_flip_buffer_push" },
	{ 0x8d6ef4db, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1216107d, "tty_kref_put" },
	{ 0x18aa2adb, "usb_register_driver" },
	{ 0xa64b35d0, "usb_match_one_id" },
	{ 0xca507531, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x6d5ea2e9, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa9b4d3e, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc17e9946, "usb_show_dynids" },
	{ 0xf52f5687, "tty_hangup" },
	{ 0xb9d2dcb6, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "1ABE4A5B9DBA2E3E81E3D55");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
