#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x64b82fd7, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8ded12ef, "usbip_recv" },
	{ 0xc0d40992, "usb_get_dev" },
	{ 0x77552e07, "usbip_dump_urb" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc64f904a, "usb_hcd_check_unlink_urb" },
	{ 0xe5d3cc4c, "usbip_pad_iso" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4e253bf5, "kthread_stop_put" },
	{ 0xa1cec180, "usbip_recv_iso" },
	{ 0xcc5d3aa, "fput" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0xb0bbbb64, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9e8b6d9a, "platform_device_unregister" },
	{ 0xae03fcd4, "dev_attr_usbip_debug" },
	{ 0x414239d5, "usbip_stop_eh" },
	{ 0x25777db, "kernel_sock_shutdown" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x880c3805, "sysfs_create_group" },
	{ 0x36c61205, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x94f921cb, "usb_hcd_link_urb_to_ep" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xe1ea0586, "usbip_dump_header" },
	{ 0xca8c13bc, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8fb45000, "usbip_event_add" },
	{ 0xe19c2d46, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9864dfbd, "__platform_driver_register" },
	{ 0xb9eb4ac3, "kthread_create_on_node" },
	{ 0x5f4e515c, "pv_ops" },
	{ 0x23a8d77, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd582eb0b, "platform_device_register_full" },
	{ 0x5c996c5c, "usb_hcd_giveback_urb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x32814a61, "usbip_alloc_iso_desc_pdu" },
	{ 0xe6ca7d61, "usb_hcd_poll_rh_status" },
	{ 0x4334429e, "usb_create_hcd" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xbcbbdb0, "usb_remove_hcd" },
	{ 0x349cba85, "strchr" },
	{ 0xfb5a7d0d, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa2f4f705, "sockfd_lookup" },
	{ 0x225563df, "kernel_sendmsg" },
	{ 0xd02753dc, "usbip_header_correct_endian" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xd19db266, "usb_create_shared_hcd" },
	{ 0x14b18ad7, "usbip_event_happened" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0xf4f99c2c, "usbip_pack_pdu" },
	{ 0xabf0332c, "usbip_start_eh" },
	{ 0xe14c7077, "usb_hcd_resume_root_hub" },
	{ 0xd5ad0849, "usb_hcd_unlink_urb_from_ep" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2351eaea, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x78b72f44, "usbip_debug_flag" },
	{ 0xe82be8d5, "usbip_recv_xbuff" },
	{ 0x37a0cba, "kfree" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa766c122, "platform_bus" },
	{ 0xceb1a8a6, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbip-core");


MODULE_INFO(srcversion, "FCA4008342FEA28665CB2F5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
