#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x94d3c3ec, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x62013622, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xa55820ce, "_gpl");
SYMBOL_CRC(fat_scan, 0xdb243dd2, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xf20bf214, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x85113733, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xd47da268, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x2bbc6ffa, "_gpl");
SYMBOL_CRC(fat_getattr, 0xcddd31a0, "_gpl");
SYMBOL_CRC(fat_setattr, 0x46f886f1, "_gpl");
SYMBOL_CRC(fat_attach, 0xe80d84b2, "_gpl");
SYMBOL_CRC(fat_detach, 0xdc86c968, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x057cf017, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xcebd93d0, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xf012142f, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xb1a02f00, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x61a54afa, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x23ef32e3, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x15198d90, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x51bc0aca, "_gpl");
SYMBOL_CRC(fat_update_time, 0x9c2b4cca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77ca2233, "generic_cont_expand_simple" },
	{ 0xb2411ba5, "make_kuid" },
	{ 0x837b3807, "truncate_inode_pages_final" },
	{ 0x36594eb6, "generic_file_mmap" },
	{ 0x94ce5954, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x12fd335e, "const_pcpu_hot" },
	{ 0x712f9390, "ilookup" },
	{ 0xa8134a6d, "invalidate_inode_buffers" },
	{ 0x9401d7f9, "blk_finish_plug" },
	{ 0xd9ad922e, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcc19a5d4, "mnt_drop_write_file" },
	{ 0x4f314b8f, "inode_init_once" },
	{ 0x824dce5e, "compat_ptr_ioctl" },
	{ 0xd5473d4c, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x4038c36a, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xe6c19241, "generic_file_read_iter" },
	{ 0x5938b01c, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x98e113d5, "truncate_pagecache" },
	{ 0x7aafba0b, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1b9c1184, "setattr_copy" },
	{ 0x68497cee, "__wait_on_buffer" },
	{ 0x8ad05e6b, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xbbcee2cc, "kmem_cache_alloc_lru_noprof" },
	{ 0x2198572d, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd06eb164, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x7bc3d32c, "from_vfsgid" },
	{ 0x54cd4cfd, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xeaec0a35, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x204e3bce, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7fc66190, "block_dirty_folio" },
	{ 0x8836891, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xb0b90f4d, "__insert_inode_hash" },
	{ 0xec9978b9, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xac9bfde8, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x827ce606, "make_kgid" },
	{ 0x7bc9fd80, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x589c185e, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3c3b3352, "generic_encode_ino32_fh" },
	{ 0xa7029284, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdc90b5df, "igrab" },
	{ 0xcc1866ba, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7efe5af2, "mpage_readahead" },
	{ 0xf81328b2, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xcc519aa9, "init_user_ns" },
	{ 0x9f6420e2, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7d2cb4a5, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x79503d06, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x735abd0, "blkdev_issue_flush" },
	{ 0x9963cb1d, "generic_fh_to_parent" },
	{ 0x32961b93, "filemap_splice_read" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xdfbab82c, "from_kuid_munged" },
	{ 0x39c131c4, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd082a91f, "__mark_inode_dirty" },
	{ 0x233886a3, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe386923e, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x683b7598, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xae926b82, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x368327bf, "kmem_cache_destroy" },
	{ 0xc1bb5d19, "blkdev_issue_discard" },
	{ 0xbff69d50, "filemap_fdatawrite" },
	{ 0xf03f5443, "generic_fillattr" },
	{ 0x6843c668, "setattr_prepare" },
	{ 0x2589fba9, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x82344fe8, "sync_blockdev_nowait" },
	{ 0x2365195, "make_vfsgid" },
	{ 0x9a0887a6, "blk_start_plug" },
	{ 0x965c2a80, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3905b324, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x65b5eb13, "new_inode" },
	{ 0xb4da93da, "mark_buffer_dirty" },
	{ 0x4a49d292, "security_inode_setattr" },
	{ 0xe2d5a747, "__find_get_block" },
	{ 0x915c0649, "filemap_fdatawrite_range" },
	{ 0x7b13f6fb, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x9d351686, "__blockdev_direct_IO" },
	{ 0x32809561, "d_make_root" },
	{ 0x1489a4ed, "__bforget" },
	{ 0xc9cdbbb, "sb_set_blocksize" },
	{ 0x1a584f16, "block_truncate_page" },
	{ 0xc669af51, "write_dirty_buffer" },
	{ 0xf56dd30f, "sync_filesystem" },
	{ 0x1c92f6e7, "fsnotify" },
	{ 0xd7323c38, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa4dcc190, "from_vfsuid" },
	{ 0xde24628b, "inode_dio_wait" },
	{ 0x20ae878a, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xb71b3dbe, "cont_write_begin" },
	{ 0x3138da00, "iput" },
	{ 0x88548716, "iter_file_splice_write" },
	{ 0x354303f, "generic_file_write_iter" },
	{ 0x4409b889, "kmem_cache_create" },
	{ 0x53484f7e, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc62a6f7b, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x10489732, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xc47e7ba5, "block_invalidate_folio" },
	{ 0x328a14fc, "__breadahead" },
	{ 0xb98031d3, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54654431, "load_nls" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8EBA61A7DCF10E50D22271D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
