#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0xc943467f, "br_multicast_has_querier_anywhere" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xac9bfde8, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xef48af17, "__pskb_pull_tail" },
	{ 0x39837a21, "netif_rx" },
	{ 0xe4abc3d1, "ip_mc_check_igmp" },
	{ 0x45a528db, "__netdev_alloc_skb" },
	{ 0xed02ff18, "netdev_master_upper_dev_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6c7b5850, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9eb4ac3, "kthread_create_on_node" },
	{ 0xed722342, "br_multicast_list_adjacent" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x54c153da, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc30319c0, "netdev_master_upper_dev_get_rcu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2e3ed47c, "skb_copy" },
	{ 0xaaadd0aa, "br_multicast_has_router_adjacent" },
	{ 0x841f04a4, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xd64f80bb, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x896fa2c9, "dev_kfree_skb_any_reason" },
	{ 0xcbb811a0, "skb_split" },
	{ 0x3040a026, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe8241aa0, "pskb_trim_rcsum_slow" },
	{ 0x97a77871, "skb_seq_read" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x368327bf, "kmem_cache_destroy" },
	{ 0xe285d20c, "register_netdevice" },
	{ 0x8621cf77, "dev_set_mtu" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3e5420f2, "cfg80211_get_station" },
	{ 0x8b769e47, "skb_copy_bits" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xe233508c, "ipv6_mc_check_mld" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc291481b, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x14fafa75, "param_get_string" },
	{ 0x3e48644a, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xec3acd20, "br_multicast_has_querier_adjacent" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x48a0adc8, "rtnl_link_register" },
	{ 0x28e291d5, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb39828be, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x1f091b8d, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x883749c3, "unregister_netdevice_queue" },
	{ 0x4409b889, "kmem_cache_create" },
	{ 0xb45aa3f3, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xee162502, "__pskb_copy_fclone" },
	{ 0x6d33dedb, "ether_setup" },
	{ 0x92a60c3a, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xada903a7, "param_set_copystring" },
	{ 0x3f14a329, "pskb_expand_head" },
	{ 0xceb1a8a6, "wake_up_process" },
	{ 0x92330d47, "dev_addr_mod" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xbca767f7, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x3c398bf4, "__alloc_skb" },
	{ 0x498bceb6, "skb_copy_expand" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xaec6aa64, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x927ae127, "__dev_get_by_index" },
	{ 0x3ffed31e, "rtnl_link_unregister" },
	{ 0x3bc795b4, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb98d3597, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x77acaee, "dev_remove_pack" },
	{ 0x44acc159, "dev_get_by_index" },
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa75b8de7, "skb_push" },
	{ 0x2198572d, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa999c59e, "netdev_upper_dev_unlink" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd5a43273, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x486ce876, "skb_prepare_seq_read" },
	{ 0x46c2eaf6, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x319f40e8, "arp_create" },
	{ 0x9b7cd24, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "bridge,libcrc32c,cfg80211");


MODULE_INFO(srcversion, "24A653B4ECE40B70702BC09");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
