#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x79ab6ff2, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xf6c17489, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x44fddc5a, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x513733df, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x242044bb, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x22d05d59, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x706bda8b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xc2277454, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xa20cb16d, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xe3be8b6f, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x6596bcef, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x7cc407dc, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x87e4322d, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x96958e89, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xbac03ff3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x455cb0fe, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x270dc422, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x5302a883, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xa685bac7, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x6485d7d0, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x594c516c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2798b5cb, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3cb44020, "trace_event_buffer_reserve" },
	{ 0x6f9dba6, "trace_event_buffer_commit" },
	{ 0xfab916ae, "__trace_trigger_soft_disabled" },
	{ 0x40ab2154, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x57b29b93, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xcb6d5b05, "bpf_trace_run1" },
	{ 0x1be7f544, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4a0a474f, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x5273237c, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd411c338, "sk_error_report" },
	{ 0x52aadc24, "ip_icmp_error" },
	{ 0x94923c09, "ipv6_icmp_error" },
	{ 0xb9d20ce5, "sock_create_kern" },
	{ 0x5d21cc7f, "kernel_bind" },
	{ 0x7a3821e9, "kernel_connect" },
	{ 0xf8e0a255, "udp_sock_create6" },
	{ 0x25777db, "kernel_sock_shutdown" },
	{ 0x2973294a, "sock_release" },
	{ 0x661eeda1, "udp_sock_create4" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{  0xbe61e, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x19bd2b96, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0x1e0ef5bc, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x628d2c94, "udp_set_csum" },
	{ 0x37292e, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3f14a329, "pskb_expand_head" },
	{ 0xbdc62c45, "udp6_set_csum" },
	{ 0x2e82282f, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbb573454, "dst_release" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xa2f4f705, "sockfd_lookup" },
	{ 0x9cedbe35, "lock_sock_nested" },
	{ 0xb747c53d, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xcc5d3aa, "fput" },
	{ 0xa79dddf8, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5c9bf0e, "skb_queue_tail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xef48af17, "__pskb_pull_tail" },
	{ 0xe0e7f166, "trace_event_reg" },
	{ 0x6a4ce540, "trace_event_raw_init" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "19A8D8187D12C41B2962E09");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
