#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x2686aa03, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x55a4dab5, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x858cf717, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xced48d26, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x974167fe, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x278d5180, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xa9db4ed0, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xb7327a3b, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x9cb753cb, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x4b5e3dd5, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x18eb8c74, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x8a91ac21, "");
SYMBOL_CRC(key_type_rxrpc, 0x794b88ba, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x8ee859a4, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x8ddcebf2, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x0cb98159, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xa65b682c, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x25a5fbfa, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x18b45af3, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x45a01f84, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x37d88c55, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xb5eaf512, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x2e685f46, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xa662cb39, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0x25777db, "kernel_sock_shutdown" },
	{ 0x9677f886, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2198572d, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x30705123, "proc_doulongvec_minmax" },
	{ 0xe0e7f166, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xbb569311, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5273237c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x9cedbe35, "lock_sock_nested" },
	{ 0x36c61205, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xa7308946, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x51bf9400, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfc223b94, "sk_alloc" },
	{ 0xcb6d5b05, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x61b3cc6, "__sock_recv_wifi_status" },
	{ 0xc6d49b8f, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x55024fb2, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xac9bfde8, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x37566fcb, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x1d88a8a0, "key_validate" },
	{ 0x68a5c688, "kmalloc_node_track_caller_noprof" },
	{ 0xbf9bd710, "crypto_alloc_sync_skcipher" },
	{ 0xa79dddf8, "setup_udp_tunnel_sock" },
	{ 0x7417cd1e, "proc_remove" },
	{ 0xf8e0a255, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9eb4ac3, "kthread_create_on_node" },
	{ 0x6be349f6, "bpf_trace_run3" },
	{ 0xbbb5d95c, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x54f6152d, "ipv4_mtu" },
	{ 0x3cb44020, "trace_event_buffer_reserve" },
	{ 0x1b02108d, "keyring_search" },
	{ 0x19105b55, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfd0d98b3, "request_key_tag" },
	{ 0x56358328, "generic_key_instantiate" },
	{ 0x9f6420e2, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf0c84844, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d2cb4a5, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x2e3ed47c, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x841f04a4, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbb573454, "dst_release" },
	{ 0xd0072119, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x2973294a, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xff4ec977, "sock_no_ioctl" },
	{ 0xb937f2b9, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7fd435b0, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x30bc7fec, "__seq_puts" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x7c3be0e8, "bpf_trace_run7" },
	{ 0x52aadc24, "ip_icmp_error" },
	{ 0xba756724, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x225563df, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x8149de7d, "skb_to_sgvec" },
	{ 0x4a0a474f, "register_pernet_device" },
	{ 0xeef79666, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa8a8e59d, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x368327bf, "kmem_cache_destroy" },
	{ 0xb747c53d, "release_sock" },
	{ 0x2f90bc25, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb79510ca, "proc_create_net_single_write" },
	{ 0xefe5ca0, "crypto_alloc_skcipher" },
	{ 0x3c3c55af, "proc_dointvec_minmax" },
	{ 0x5ec0c71e, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc172479c, "key_alloc" },
	{ 0xd758a7c2, "bpf_trace_run4" },
	{ 0x8b769e47, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x98301c25, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc291481b, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x40ab2154, "trace_raw_output_prep" },
	{ 0x661eeda1, "udp_sock_create4" },
	{ 0x67b020d3, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x1e0ef5bc, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfab916ae, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x57b29b93, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xf66c545d, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x9cdb1282, "udpv6_sendmsg" },
	{ 0x97820a0c, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x6a4ce540, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7355acb, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{  0xbe61e, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x1be7f544, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x845e6f63, "crypto_skcipher_setkey" },
	{ 0xde8664a9, "ip_route_output_flow" },
	{ 0x4409b889, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf4c8d849, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xb39491fd, "register_key_type" },
	{ 0x6a7eef22, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x48e5dbfb, "put_cmsg" },
	{ 0xceb1a8a6, "wake_up_process" },
	{ 0x6f9dba6, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x6f80b965, "register_net_sysctl_sz" },
	{ 0xc267bfdd, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x7e419d73, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x94923c09, "ipv6_icmp_error" },
	{ 0x26526600, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x32e1113e, "crypto_skcipher_decrypt" },
	{ 0xb2411ba5, "make_kuid" },
	{ 0x88d5da8a, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x12fd335e, "const_pcpu_hot" },
	{ 0x8e26c333, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x5c9bf0e, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x3f240ca7, "__sock_recv_timestamp" },
	{ 0xa85d371e, "key_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2798b5cb, "perf_trace_run_bpf_submit" },
	{ 0x720facd7, "init_net" },
	{ 0x3bc795b4, "skb_pull" },
	{ 0xbfadca61, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd02f0432, "sock_enable_timestamps" },
	{ 0x358dab60, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6af74e8e, "ip6_mtu" },
	{ 0x6626afca, "down" },
	{ 0xc85ef1be, "bpf_trace_run5" },
	{ 0x19bd2b96, "sk_free" },
	{ 0x6bc90eef, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "8260EB9652065911DD26640");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
