#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0xbb204504, "");
SYMBOL_CRC(snd_ac97_read, 0x28f58406, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x733e055d, "");
SYMBOL_CRC(snd_ac97_update, 0x4937b774, "");
SYMBOL_CRC(snd_ac97_update_bits, 0x254da757, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x032c1170, "");
SYMBOL_CRC(snd_ac97_bus, 0x12219dc8, "");
SYMBOL_CRC(snd_ac97_mixer, 0x7ce922f6, "");
SYMBOL_CRC(snd_ac97_update_power, 0x2de7a80e, "");
SYMBOL_CRC(snd_ac97_suspend, 0x082cdeb8, "");
SYMBOL_CRC(snd_ac97_resume, 0x0f2e8414, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x20da2f84, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x4a13e673, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0xc1df604f, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0x46e98693, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0xee206c7b, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xb13c91a4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0x586d4c8b, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9577669f, "snd_ctl_make_virtual_master" },
	{ 0x668f784c, "snd_pcm_hw_rule_add" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xcee8320f, "snd_ctl_boolean_mono_info" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x20316ff1, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x61f36afc, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb6ebe5e3, "snd_ctl_rename" },
	{ 0x1bcf48ad, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa0dcb447, "snd_device_new" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec42fa05, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7d2cb4a5, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x31034298, "snd_info_create_card_entry" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8716ffaf, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1a3ce6b6, "dev_set_name" },
	{ 0x67f12f20, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8adb10f2, "device_unregister" },
	{ 0xb1d222a7, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0x76ca14c1, "snd_ctl_find_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4772f80a, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x66ae6d4, "put_device" },
	{ 0x70707b3a, "snd_ctl_remove_id" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
