#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rt5682_supply_names, "_gpl", "");
KSYMTAB_FUNC(rt5682_apply_patch_list, "_gpl", "");
KSYMTAB_DATA(rt5682_reg, "_gpl", "");
KSYMTAB_FUNC(rt5682_volatile_register, "_gpl", "");
KSYMTAB_FUNC(rt5682_readable_register, "_gpl", "");
KSYMTAB_FUNC(rt5682_reset, "_gpl", "");
KSYMTAB_FUNC(rt5682_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5682_jack_detect_handler, "_gpl", "");
KSYMTAB_FUNC(rt5682_register_dai_clks, "_gpl", "");
KSYMTAB_DATA(rt5682_aif1_dai_ops, "_gpl", "");
KSYMTAB_DATA(rt5682_aif2_dai_ops, "_gpl", "");
KSYMTAB_DATA(rt5682_soc_component_dev, "_gpl", "");
KSYMTAB_FUNC(rt5682_parse_dt, "_gpl", "");
KSYMTAB_FUNC(rt5682_get_ldo1, "_gpl", "");
KSYMTAB_FUNC(rt5682_calibrate, "_gpl", "");

SYMBOL_CRC(rt5682_supply_names, 0x0d18594a, "_gpl");
SYMBOL_CRC(rt5682_apply_patch_list, 0x58eeb0b3, "_gpl");
SYMBOL_CRC(rt5682_reg, 0xb897de56, "_gpl");
SYMBOL_CRC(rt5682_volatile_register, 0xdff56e32, "_gpl");
SYMBOL_CRC(rt5682_readable_register, 0xbe3d0ab0, "_gpl");
SYMBOL_CRC(rt5682_reset, 0xf7288127, "_gpl");
SYMBOL_CRC(rt5682_sel_asrc_clk_src, 0x344e1826, "_gpl");
SYMBOL_CRC(rt5682_jack_detect_handler, 0x59d3d967, "_gpl");
SYMBOL_CRC(rt5682_register_dai_clks, 0x33b60526, "_gpl");
SYMBOL_CRC(rt5682_aif1_dai_ops, 0x60194baa, "_gpl");
SYMBOL_CRC(rt5682_aif2_dai_ops, 0x8b2ef0a9, "_gpl");
SYMBOL_CRC(rt5682_soc_component_dev, 0x8b77772d, "_gpl");
SYMBOL_CRC(rt5682_parse_dt, 0xf78f98b8, "_gpl");
SYMBOL_CRC(rt5682_get_ldo1, 0x67448cac, "_gpl");
SYMBOL_CRC(rt5682_calibrate, 0xf4391671, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c374b9b, "device_property_read_u32_array" },
	{ 0xe35ade73, "snd_soc_info_volsw" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x101cd986, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7eefb65e, "device_property_read_string_array" },
	{ 0xdec18d59, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0xf8f068e2, "snd_soc_dapm_get_pin_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8eea27e, "snd_soc_info_enum_double" },
	{ 0xd43a6d4e, "snd_soc_get_volsw" },
	{ 0x1b8280de, "regmap_read" },
	{ 0xea519049, "snd_soc_put_volsw" },
	{ 0x991cc4f0, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xa255f1d8, "clk_hw_get_parent" },
	{ 0x6d3052c, "regmap_update_bits_base" },
	{ 0xeef64cd9, "regmap_multi_reg_write" },
	{ 0x7305e198, "snd_soc_dapm_get_volsw" },
	{ 0x2bb7517e, "snd_soc_dapm_get_enum_double" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe4baacbe, "snd_soc_dapm_put_enum_double" },
	{ 0x8c35c5c7, "device_property_present" },
	{ 0x366fcec3, "devm_clk_hw_register_clkdev" },
	{ 0x99f05fca, "regcache_cache_only" },
	{ 0x2b0e57ff, "regcache_sync" },
	{ 0x89fa933d, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4e3dc9a5, "snd_soc_jack_report" },
	{ 0x98330b9d, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xe02483cc, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x19ace2e5, "snd_soc_dapm_disable_pin" },
	{ 0x44b735b2, "devm_clk_hw_register" },
	{ 0xf087e528, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46f1dbc0, "clk_hw_get_name" },
	{ 0x736dc3e3, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0xf7214869, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xccdf430a, "snd_soc_component_write" },
	{ 0xdc7cbdc1, "snd_soc_dapm_sync" },
	{ 0xfe189b17, "__clk_get_hw" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");


MODULE_INFO(srcversion, "332E9E81917BE222E0A9B73");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
