#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0x55774bc9, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0x3102e774, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0xee0b3c58, "");
SYMBOL_CRC(mtl_enable_interrupts, 0x700bb59e, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0x1d0b7729, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x5c6d7242, "");
SYMBOL_CRC(mtl_dsp_dump, 0x0168bdf2, "");
SYMBOL_CRC(mtl_power_down_dsp, 0xf860bbee, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0x34476ea7, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0x09f9e845, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0x9beb27a0, "");
SYMBOL_CRC(mtl_ipc_dump, 0x382341cb, "");
SYMBOL_CRC(mtl_dsp_core_get, 0x46ba2c5d, "");
SYMBOL_CRC(mtl_dsp_core_put, 0x559b1ac3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{  0xbe61e, "pcpu_hot" },
	{ 0x8f3d3daa, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7168fa72, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0x27070472, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96373d, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9a11a5fe, "hda_sdw_check_lcount_common" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x957a5bf1, "hda_pci_intel_probe" },
	{ 0x6a9e9c26, "snd_sof_dsp_dbg_dump" },
	{ 0x7f761604, "sof_mailbox_write" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0xac431023, "debugfs_create_bool" },
	{ 0x32b7ea5c, "snd_sof_dsp_update_bits_forced" },
	{ 0xae3a3c80, "sof_pci_remove" },
	{ 0xd9243276, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe0bf6332, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x15d3ed9, "snd_sof_ipc_get_reply" },
	{ 0xbc837829, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6016a943, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0xa9409d58, "snd_sof_ipc_reply" },
	{ 0x4e885057, "hda_ipc4_tx_is_busy" },
	{ 0x65150739, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0xd61a3e8e, "hda_ops_free" },
	{ 0xdae69e2b, "sof_pci_shutdown" },
	{ 0x75a41ba7, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x38d77dcb, "hda_dsp_get_state" },
	{ 0x8977abc0, "hda_dsp_ipc4_load_library" },
	{ 0x7469d4d7, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x8f34a6a5, "sof_pci_pm" },
	{ 0xd87cfc3d, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0x6b546c25, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0xad0e2732, "hda_sdw_check_wakeen_irq_common" },
	{ 0x1fad33c3, "snd_soc_acpi_intel_arl_machines" },
	{ 0x22474246, "hda_dsp_shutdown" },
	{ 0x9b9b14ed, "hda_sdw_int_enable" },
	{ 0xb7e4e1c9, "hda_sdw_startup" },
	{ 0x2d04e6b, "__pci_register_driver" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F46591CFE13A41038E04026");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
