#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x3668a75f, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xda08d15f, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x35c74ea1, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x33e631dc, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xc156a17e, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x804e55b2, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x1d4da520, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x539a68f7, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x123de165, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xb63a79e7, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x22599952, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xe88590d2, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x979ecd23, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xc07d3df6, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x9cb1b2d8, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xf42629f5, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x4e9c12e1, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x20cd4e5e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xf559bfa6, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x06947190, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xb5e0160e, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x1e4b91d9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xad847862, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x5a8012f8, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xfb7e528a, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xb3f588ba, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xfa599228, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x5a3853b2, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xf271967b, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x28bce344, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xed20bdc9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x16a2beac, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x32a194d4, "kthread_create_worker" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0x80af99cb, "sched_set_fifo" },
	{ 0x98221e19, "crypto_register_aead" },
	{ 0xefdf5a53, "crypto_unregister_aead" },
	{ 0xa736d147, "crypto_register_ahash" },
	{ 0x37881221, "crypto_unregister_ahash" },
	{ 0x2dd9926d, "crypto_register_akcipher" },
	{ 0x95910a0b, "crypto_unregister_akcipher" },
	{ 0x30cdf412, "crypto_register_kpp" },
	{ 0x631047b2, "crypto_unregister_kpp" },
	{ 0x27d03e10, "crypto_register_skcipher" },
	{ 0x79f9e9e, "crypto_unregister_skcipher" },
	{ 0x26451e4, "crypto_enqueue_request" },
	{ 0x9910ccf3, "crypto_dequeue_request" },
	{ 0x3f7a1d3, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x514d219d, "kthread_destroy_worker" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "626BB236FBFA722C316B20E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
