#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x49413187, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x8348c0a6, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x5086a094, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x4d6b24d7, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0xee570482, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x8ffe8a0e, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x3210eb39, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0xd32f37ec, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x4ea07f65, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa6010677, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0x48ce894b, "hid_hw_open" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x6b113bf1, "hid_hw_close" },
	{ 0x6707e859, "__hid_register_driver" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xa4f9dcd, "hid_hw_stop" },
	{ 0xf25e86eb, "mfd_remove_devices" },
	{ 0xbaaeca44, "hid_unregister_driver" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x107e69d6, "hid_open_report" },
	{ 0xd0619518, "hid_hw_start" },
	{ 0xa38134b5, "devm_kasprintf" },
	{ 0x1b8a5015, "mfd_add_devices" },
	{ 0xc765d887, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "7104BAB8B7D7E8D56D81887");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
