#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x64c545b9, "");
SYMBOL_CRC(ishtp_start, 0xe3398165, "");
SYMBOL_CRC(ishtp_send_suspend, 0x0e66721c, "");
SYMBOL_CRC(ishtp_send_resume, 0x7d94bd1f, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x97949d8f, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x0c8e9a80, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0xc98959bd, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x9adc36db, "");
SYMBOL_CRC(ishtp_cl_free, 0x9080c808, "");
SYMBOL_CRC(ishtp_cl_link, 0x2fa37eb1, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x3fadd26e, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x02f36ca9, "");
SYMBOL_CRC(ishtp_cl_connect, 0xf467b698, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0x6e4e1cb3, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0xec4333e3, "");
SYMBOL_CRC(ishtp_cl_send, 0x76ed22bf, "");
SYMBOL_CRC(ishtp_get_client_data, 0xaad4e658, "");
SYMBOL_CRC(ishtp_set_client_data, 0x0f7f768b, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0xc8b5872a, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x34b165a7, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x2497a77f, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x495a797b, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x0ecd8e25, "");
SYMBOL_CRC(ishtp_recv, 0xf9332865, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x16e9af4b, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x86a87d6e, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x17d1af32, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x50ed48f6, "");
SYMBOL_CRC(ishtp_register_event_cb, 0xee87150e, "");
SYMBOL_CRC(ishtp_get_device, 0x054be7d4, "");
SYMBOL_CRC(ishtp_put_device, 0xe30c9721, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x20de95a9, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x48bdd37b, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x6d286944, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x67251e00, "");
SYMBOL_CRC(ishtp_reset_handler, 0x264c8838, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xa89dd4bd, "");
SYMBOL_CRC(ishtp_device, 0xfec10c5d, "");
SYMBOL_CRC(ishtp_wait_resume, 0xeb643c2f, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xe82c883f, "");
SYMBOL_CRC(ishtp_trace_callback, 0xcf9c3565, "");
SYMBOL_CRC(ish_hw_reset, 0x0cb07f3d, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0xe89470c0, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0xca2c5783, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x3a86aa67, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66ae6d4, "put_device" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x46022094, "bus_unregister" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x15bd4f25, "dma_alloc_attrs" },
	{ 0x599e49a5, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1bcf48ad, "device_register" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbc9dec91, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x830f24ce, "dev_err_probe" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x9de8df76, "__devm_add_action" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3b7fb2f2, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0xe1c23b96, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1a3ce6b6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8adb10f2, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaaaf0a17, "request_firmware" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6ECF2D68156DDBAFD8AABD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
