#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_destroy, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_integrity_add_rdev, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(md_idle_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_frozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_unfrozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_rdev_limits, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_new_rdev, "_gpl", "");
KSYMTAB_FUNC(mddev_update_io_opt, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_free_cloned_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");
KSYMTAB_FUNC(md_bitmap_update_sb, "", "");
KSYMTAB_FUNC(md_bitmap_unplug, "", "");
KSYMTAB_FUNC(md_bitmap_unplug_async, "", "");
KSYMTAB_FUNC(md_bitmap_startwrite, "", "");
KSYMTAB_FUNC(md_bitmap_endwrite, "", "");
KSYMTAB_FUNC(md_bitmap_start_sync, "", "");
KSYMTAB_FUNC(md_bitmap_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_close_sync, "", "");
KSYMTAB_FUNC(md_bitmap_cond_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_sync_with_cluster, "", "");
KSYMTAB_FUNC(md_bitmap_free, "", "");
KSYMTAB_FUNC(md_bitmap_load, "_gpl", "");
KSYMTAB_FUNC(get_bitmap_from_slot, "", "");
KSYMTAB_FUNC(md_bitmap_copy_from_slot, "_gpl", "");
KSYMTAB_FUNC(md_bitmap_resize, "_gpl", "");

SYMBOL_CRC(md_cluster_ops, 0xbbb5d892, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0x759db6dd, "");
SYMBOL_CRC(mddev_suspend, 0x97aa1a85, "_gpl");
SYMBOL_CRC(mddev_resume, 0xb68804c3, "_gpl");
SYMBOL_CRC(md_flush_request, 0x14602feb, "");
SYMBOL_CRC(mddev_init, 0x839ee27f, "_gpl");
SYMBOL_CRC(mddev_destroy, 0xb828f555, "_gpl");
SYMBOL_CRC(mddev_unlock, 0xf46857e0, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x57ba24cb, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x0970d9af, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x2d801705, "_gpl");
SYMBOL_CRC(sync_page_io, 0xafe1477a, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0xae7c40d3, "");
SYMBOL_CRC(md_integrity_register, 0x21e92846, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x17633cea, "");
SYMBOL_CRC(md_update_sb, 0x17f10c8b, "");
SYMBOL_CRC(md_rdev_init, 0x8ddf710c, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0x94780448, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0x2f500dc9, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0x6e5afb3d, "_gpl");
SYMBOL_CRC(mddev_stack_rdev_limits, 0xf4f5768b, "_gpl");
SYMBOL_CRC(mddev_stack_new_rdev, 0x8c89eb57, "_gpl");
SYMBOL_CRC(mddev_update_io_opt, 0x3747089f, "_gpl");
SYMBOL_CRC(md_run, 0x330cdc9e, "_gpl");
SYMBOL_CRC(md_start, 0x59421ba1, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x5a0cf0cc, "_gpl");
SYMBOL_CRC(md_stop, 0x740308d6, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x67c34ce9, "");
SYMBOL_CRC(md_wakeup_thread, 0x9b6ef613, "");
SYMBOL_CRC(md_register_thread, 0xe1b332ed, "");
SYMBOL_CRC(md_unregister_thread, 0xc709b0c2, "");
SYMBOL_CRC(md_error, 0xeed5f0f8, "");
SYMBOL_CRC(register_md_personality, 0x0e7ebaf6, "");
SYMBOL_CRC(unregister_md_personality, 0x8bc5412a, "");
SYMBOL_CRC(register_md_cluster_operations, 0xf12834c5, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0x6828d6f6, "");
SYMBOL_CRC(md_write_start, 0x2407e784, "");
SYMBOL_CRC(md_write_inc, 0x33aa039a, "");
SYMBOL_CRC(md_write_end, 0x9aebed21, "");
SYMBOL_CRC(md_submit_discard_bio, 0x21e7c8c4, "_gpl");
SYMBOL_CRC(md_account_bio, 0x23e39b17, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x928cf26d, "_gpl");
SYMBOL_CRC(md_allow_write, 0xb36d36e4, "_gpl");
SYMBOL_CRC(md_do_sync, 0xb5cde3af, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x7c2451da, "");
SYMBOL_CRC(md_reap_sync_thread, 0x3565dcef, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x71ebe424, "");
SYMBOL_CRC(md_finish_reshape, 0x086646db, "");
SYMBOL_CRC(rdev_set_badblocks, 0xbf50a960, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x326d7510, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x1d3ab800, "");
SYMBOL_CRC(md_bitmap_update_sb, 0xcd8415bf, "");
SYMBOL_CRC(md_bitmap_unplug, 0x2ce08912, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x0e017d3f, "");
SYMBOL_CRC(md_bitmap_startwrite, 0x68fabac3, "");
SYMBOL_CRC(md_bitmap_endwrite, 0x433f300c, "");
SYMBOL_CRC(md_bitmap_start_sync, 0x319de1dc, "");
SYMBOL_CRC(md_bitmap_end_sync, 0xb12e8a9e, "");
SYMBOL_CRC(md_bitmap_close_sync, 0xce2ece03, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0xd6cca3e0, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0x87a10c77, "");
SYMBOL_CRC(md_bitmap_free, 0xf6c05029, "");
SYMBOL_CRC(md_bitmap_load, 0x6c92999a, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0xd930592e, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x8809bde5, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0x4a72b10e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x124bad4d, "kstrtobool" },
	{ 0x242331d5, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x64184ad0, "bio_init" },
	{ 0x4fa8ee23, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x4efabfa0, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xf632727a, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9eb4ac3, "kthread_create_on_node" },
	{ 0x23a8d77, "sysfs_remove_group" },
	{ 0x8dd549b2, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9d78be9c, "kobject_del" },
	{ 0xe142c4d5, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec42fa05, "param_ops_bool" },
	{ 0xfebca50c, "bioset_init" },
	{ 0x2ba9f863, "file_path" },
	{ 0xc3a221f4, "kernfs_put" },
	{ 0x6319a78c, "sysfs_break_active_protection" },
	{ 0x9f6420e2, "seq_write" },
	{ 0x128779c9, "__folio_put" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3ee5123d, "remove_proc_entry" },
	{ 0x12598384, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d2cb4a5, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc0fae9d5, "kobject_uevent" },
	{ 0xbc2b3fb9, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb42b25ec, "bd_link_disk_holder" },
	{ 0x6b013550, "alloc_pages_noprof" },
	{ 0xbdbfa010, "queue_limits_commit_update" },
	{ 0xbdbc3518, "proc_dointvec" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0xf57f7c46, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x33b3a566, "seq_open" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc1eef3b2, "badblocks_clear" },
	{ 0x14601f85, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7aa7e85b, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf519425c, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4a5b297a, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x642680d7, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd297a2ff, "kobject_put" },
	{ 0x19c8a54b, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x1a8b1869, "set_disk_ro" },
	{ 0x9e4f7312, "__blk_alloc_disk" },
	{ 0xcf8c39d4, "blk_integrity_register" },
	{ 0x51855226, "try_module_get" },
	{ 0x609254d8, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xcb9c253, "__bio_add_page" },
	{ 0x9a0887a6, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe099ed0e, "proc_create" },
	{ 0xbbffba2d, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf1cbb133, "seq_release" },
	{ 0xf0dd9a8d, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x510341b5, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb6d07372, "queue_limits_stack_bdev" },
	{ 0x91001708, "fget" },
	{ 0x4307cb36, "sysfs_unbreak_active_protection" },
	{ 0x43da3ef2, "invalidate_mapping_pages" },
	{ 0x664e31a3, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd703ada3, "badblocks_exit" },
	{  0xbe61e, "pcpu_hot" },
	{ 0x5c23e545, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x4aa42ca8, "blk_queue_write_cache" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x82c9108f, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xe7d6edd2, "kernfs_notify" },
	{ 0x968b6ae9, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x755d1658, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xceb1a8a6, "wake_up_process" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x4f24f011, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x48d438af, "bioset_integrity_create" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4c748124, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xfb84c142, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21515a0f, "unregister_sysctl_table" },
	{ 0xed31d041, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xa1998927, "sync_blockdev" },
	{ 0xfb0b401e, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd66b52a, "blk_queue_flag_set" },
	{ 0x12fd335e, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9401d7f9, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6ffc2216, "submit_bio" },
	{ 0x319e6572, "blk_queue_flag_clear" },
	{ 0xa7c0fd89, "module_put" },
	{ 0x39bb19f9, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x17443580, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe8feff38, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x30cd7ca6, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x13a474ff, "bio_put" },
	{ 0xe626b4a0, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4008a63d, "__SCK__tp_func_block_bio_remap" },
	{ 0xcc5d3aa, "fput" },
	{ 0xb7e64aaa, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb0bbbb64, "sysfs_remove_link" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x90eb0c9f, "submit_bio_noacct" },
	{ 0x5d20cbfb, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf032123b, "blk_sync_queue" },
	{ 0x72d03f6f, "seq_file_path" },
	{ 0xba3f9b11, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcb0d79dc, "seq_putc" },
	{ 0x8ede4673, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1705072f, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6547e6ec, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x880c3805, "sysfs_create_group" },
	{ 0x1fa3146c, "__put_devmap_managed_folio_refs" },
	{ 0x36c61205, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4cf56d65, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8C53575BF30E273F0146843");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
