#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x8578d85f, "");
SYMBOL_CRC(cx88_querycap, 0x1b309a94, "");
SYMBOL_CRC(cx88_enum_input, 0xc5a1383b, "");
SYMBOL_CRC(cx88_set_freq, 0x1d311fab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xfe82c556, "cx88_ir_stop" },
	{ 0xda555207, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2084645, "video_devdata" },
	{ 0x890ab581, "cx88_set_tvnorm" },
	{ 0x12fd3064, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xc61d9f4f, "v4l2_ctrl_find" },
	{ 0xa432b929, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa8c2be1, "__v4l2_ctrl_s_ctrl" },
	{ 0x9f84ec74, "vb2_plane_cookie" },
	{ 0x88e2db44, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf473c4ac, "cx88_risc_buffer" },
	{ 0x915ffc93, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfd98af90, "cx88_set_stereo" },
	{ 0x34b66f87, "vb2_buffer_done" },
	{ 0xa67539c6, "v4l2_ctrl_subscribe_event" },
	{ 0x9cdb807e, "video_unregister_device" },
	{ 0x36c61205, "kthread_stop" },
	{ 0xe718bf94, "i2c_new_client_device" },
	{ 0xc77a1f35, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6964cfb6, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb21b11b1, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xa04b1b94, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf793458b, "vb2_fop_read" },
	{ 0x6dcb4186, "cx88_sram_channel_dump" },
	{ 0xb9eb4ac3, "kthread_create_on_node" },
	{ 0x2b923349, "cx88_sram_channel_setup" },
	{ 0xbc9dec91, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x697fa1e5, "__video_register_device" },
	{ 0x67700b36, "vb2_ops_wait_prepare" },
	{ 0xd0be887d, "vb2_ioctl_streamon" },
	{ 0xc2a18f14, "vb2_fop_poll" },
	{ 0x58863fc1, "v4l2_ctrl_new_std" },
	{ 0x2a006dad, "pci_disable_device" },
	{ 0x3e0cf576, "dma_set_mask" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xa86608aa, "v4l2_i2c_new_subdev" },
	{ 0x21ed925c, "pci_read_config_byte" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcea984f6, "cx88_newstation" },
	{ 0xcf028d2e, "v4l2_event_unsubscribe" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc418c122, "vb2_ioctl_reqbufs" },
	{ 0xc856136b, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc9f5a6d2, "vb2_dma_sg_memops" },
	{ 0x11e27e96, "cx88_reset" },
	{ 0x9289d232, "v4l2_ctrl_poll" },
	{ 0x45f8ab70, "video_ioctl2" },
	{ 0x4f391f3d, "cx88_wakeup" },
	{ 0xc7f464b0, "pci_enable_device" },
	{ 0x7e401a52, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x9ccac544, "v4l2_ctrl_add_handler" },
	{ 0xc8efc46b, "v4l2_i2c_new_subdev_board" },
	{ 0x9f336ebd, "cx88_set_scale" },
	{ 0x79cfa089, "vb2_ops_wait_finish" },
	{ 0x2d04e6b, "__pci_register_driver" },
	{ 0xdb25d3c0, "cx88_shutdown" },
	{ 0x9487b4cc, "cx88_vdev_init" },
	{ 0xd1b9a1c9, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x349aed96, "vb2_ioctl_querybuf" },
	{ 0x317781d, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa6636f41, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7af90e5e, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x27070472, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xceb1a8a6, "wake_up_process" },
	{ 0xd5e38f7, "cx88_core_get" },
	{ 0x93d654f4, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C6F1A478A11DE3C68FF7F31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
