#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x967250a0, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x35699ce3, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x7d9cef9f, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x54ba2cc2, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0xf33664c7, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x021d7b94, "_gpl");
SYMBOL_CRC(is_fw_load, 0xcb50c6cf, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x9bbf57da, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xe75577ee, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0xbfc62438, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x015c37b8, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xf822f621, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xdc34be22, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x910ad83f, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x75d38ce1, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x5e7f001d, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x8b1c7a7c, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x50f24f98, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x1ee5a8d5, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x24a9401d, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x4e1cf5e8, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x3e26776f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xaba62103, "usb_clear_halt" },
	{ 0x64b82fd7, "usb_put_dev" },
	{ 0x36641c2e, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2084645, "video_devdata" },
	{ 0x12fd3064, "vb2_fop_release" },
	{ 0x6310680, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xc0d40992, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x83cdc20b, "usb_submit_urb" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0x29cddf78, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6fdc79da, "media_device_register_entity" },
	{ 0x1ff0f817, "media_device_cleanup" },
	{ 0x88e2db44, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x9e68f1bf, "i2c_unregister_device" },
	{ 0xd8ff2fb, "usb_free_coherent" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xab72ed5b, "usb_control_msg" },
	{ 0x34b66f87, "vb2_buffer_done" },
	{ 0x48c79399, "vb2_plane_vaddr" },
	{ 0xa67539c6, "v4l2_ctrl_subscribe_event" },
	{ 0xf159d1f6, "usb_set_interface" },
	{ 0xcb07d304, "media_entity_pads_init" },
	{ 0x9cdb807e, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe718bf94, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x9833b845, "usb_deregister" },
	{ 0xc77a1f35, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6964cfb6, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe3dbcf59, "v4l2_s_ctrl" },
	{ 0x5b59939d, "i2c_mux_alloc" },
	{ 0x11c93c63, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf793458b, "vb2_fop_read" },
	{ 0xaf269d0f, "v4l2_device_register" },
	{ 0xfee00efb, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27236675, "rc_allocate_device" },
	{ 0x5f4e515c, "pv_ops" },
	{ 0x58dbc85b, "usb_unlink_urb" },
	{ 0x74d4fd89, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x697fa1e5, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x67700b36, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfd0d9b66, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd0be887d, "vb2_ioctl_streamon" },
	{ 0xdac3f9b7, "v4l2_mc_create_media_graph" },
	{ 0xc2a18f14, "vb2_fop_poll" },
	{ 0x7d3572e6, "cx2341x_handler_init" },
	{ 0xbf1afc55, "cx2341x_handler_set_50hz" },
	{ 0xf754a9b4, "__media_device_usb_init" },
	{ 0xcb170bdc, "v4l2_ctrl_handler_free" },
	{ 0x777db02c, "i2c_transfer" },
	{ 0x476cfac6, "v4l2_device_unregister" },
	{ 0x5989dab8, "usb_reset_endpoint" },
	{ 0xb109a28a, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xc6cb15b5, "v4l2_subdev_call_wrappers" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xe4d6ff1, "v4l2_ctrl_log_status" },
	{ 0xa86608aa, "v4l2_i2c_new_subdev" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0x6bbf8f3e, "video_device_release_empty" },
	{ 0xe49f517b, "i2c_mux_add_adapter" },
	{ 0x283d743a, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcf028d2e, "v4l2_event_unsubscribe" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc418c122, "vb2_ioctl_reqbufs" },
	{ 0xc856136b, "vb2_queue_init" },
	{ 0x470c733a, "usb_alloc_urb" },
	{ 0x9289d232, "v4l2_ctrl_poll" },
	{ 0x45f8ab70, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52551b0a, "media_device_unregister" },
	{ 0xdb2dbe23, "usb_free_urb" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0x7e401a52, "vb2_ioctl_streamoff" },
	{ 0x365cfb0f, "v4l2_ctrl_radio_filter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x58d5a121, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9ccac544, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xaaaf0a17, "request_firmware" },
	{ 0x79cfa089, "vb2_ops_wait_finish" },
	{ 0x18aa2adb, "usb_register_driver" },
	{ 0x8f694148, "v4l2_ctrl_handler_init_class" },
	{ 0xd1b9a1c9, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa2184c4, "__media_device_register" },
	{ 0x349aed96, "vb2_ioctl_querybuf" },
	{ 0x4150f8f2, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa6636f41, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "967BBE18E53822A60B85D55");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
