#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x3616fdb1, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x0716f42f, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x68fd5179, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x3c2cb948, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x8862ddb7, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0xc7eb5445, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x65cc6133, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0xb59dcb85, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x82544064, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0xed5ea237, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xf3a2e718, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x6292d40b, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x2d1ecdc0, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xd069c344, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x38b71452, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0xfc014646, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0xdddf4e51, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x0aa0bb09, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x83416768, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xde21f7b5, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xf89552a4, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x623d4669, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xdd212d6d, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x75fa8041, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2d04e6b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xa6645bd8, "pci_disable_msi" },
	{ 0x659452, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{  0xbe61e, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x27070472, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x867d77a5, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa3dd17f6, "pm_schedule_suspend" },
	{ 0x8881d0f2, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3bb72013, "pci_enable_msi" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8ced2ba5, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x15bd4f25, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1b8a5015, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0xb21b11b1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b689daa, "pm_runtime_forbid" },
	{ 0xbc9dec91, "dma_free_attrs" },
	{ 0x891cae0e, "pm_runtime_allow" },
	{ 0xa0b49ffe, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec42fa05, "param_ops_bool" },
	{ 0x8e9f3f6e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd143738, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2a006dad, "pci_disable_device" },
	{ 0xf25e86eb, "mfd_remove_devices" },
	{ 0x3e0cf576, "dma_set_mask" },
	{ 0xaf2e4d48, "dma_unmap_sg_attrs" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x21ed925c, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc42a15d0, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x985e0fe3, "pci_write_config_dword" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x53e9b43d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7c0f9fb3, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x8dd811ca, "pci_find_ext_capability" },
	{ 0xc7f464b0, "pci_enable_device" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "050048C027DA0CDA8F3F936");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
