#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc9dec91, "dma_free_attrs" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3e5db369, "unregister_virtio_driver" },
	{ 0x4243cfc5, "virtqueue_get_vring_size" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x15bd4f25, "dma_alloc_attrs" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0xb2c8080e, "__dynamic_netdev_dbg" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0x718a4b68, "netif_carrier_on" },
	{ 0x25b5b959, "napi_enable" },
	{ 0xf1648683, "napi_schedule_prep" },
	{ 0x7988b2e6, "__napi_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe42845ee, "netdev_info" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xefcb5966, "netif_receive_skb" },
	{ 0x9f597502, "vringh_complete_kern" },
	{ 0xb98c2548, "vringh_getdesc_kern" },
	{ 0x45a528db, "__netdev_alloc_skb" },
	{ 0xc291481b, "consume_skb" },
	{ 0x8d190f33, "napi_complete_done" },
	{ 0x8f8840e8, "vringh_notify_enable_kern" },
	{ 0x932af7d7, "vringh_notify_disable_kern" },
	{ 0x9a81a3f6, "vringh_need_notify_kern" },
	{ 0x7c3c164a, "netdev_err" },
	{ 0xfc8fb099, "netdev_warn" },
	{ 0x63506008, "netif_carrier_off" },
	{ 0xc358c5, "alloc_netdev_mqs" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x32e5c892, "virtqueue_disable_cb" },
	{ 0x6bcde476, "netif_napi_add_weight" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe285d20c, "register_netdevice" },
	{ 0x349cba85, "strchr" },
	{ 0x773f2ad, "debugfs_create_dir" },
	{ 0x93670d27, "debugfs_create_u32" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x713ab8d9, "free_netdev" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x8b769e47, "skb_copy_bits" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x18291521, "virtqueue_get_buf" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdc900373, "netif_tx_wake_queue" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x21c34a7a, "virtqueue_add_outbuf" },
	{ 0xff8add7f, "virtqueue_kick" },
	{ 0x62eac1f3, "virtqueue_enable_cb" },
	{ 0x78eeebb2, "netif_tx_stop_all_queues" },
	{ 0x579e668b, "napi_disable" },
	{ 0x9f5c22dd, "virtqueue_detach_unused_buf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd839817, "__register_virtio_driver" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbf75f840, "dev_close" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x37c80c21, "debugfs_remove" },
	{ 0xce7d9adc, "virtio_reset_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5ea45dd7, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "vringh");

MODULE_ALIAS("virtio:d0000000Cv*");

MODULE_INFO(srcversion, "3B0F55E31252F36FE4DD2F8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
