#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc71d778, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbc9dec91, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8e9f3f6e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x128779c9, "__folio_put" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x63506008, "netif_carrier_off" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x718a4b68, "netif_carrier_on" },
	{ 0xf2d129b2, "pci_disable_msix" },
	{ 0x6b013550, "alloc_pages_noprof" },
	{ 0x2a006dad, "pci_disable_device" },
	{ 0x3e0cf576, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xf1648683, "napi_schedule_prep" },
	{ 0x579e668b, "napi_disable" },
	{ 0x896fa2c9, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8e6eb13b, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8b769e47, "skb_copy_bits" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfc1f81d3, "pci_enable_device_mem" },
	{ 0xc291481b, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x6bcde476, "netif_napi_add_weight" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ea45dd7, "unregister_netdev" },
	{ 0xf6d2ae7c, "dma_unmap_page_attrs" },
	{ 0x2d04e6b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x659452, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd56bdee, "dev_kfree_skb_irq_reason" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3a268126, "__netif_napi_del" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x27070472, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f14a329, "pskb_expand_head" },
	{ 0xb5e650f6, "dev_driver_string" },
	{ 0x92330d47, "dev_addr_mod" },
	{ 0xbca767f7, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9bb50a2e, "dma_map_page_attrs" },
	{ 0x8d190f33, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x2e2934fa, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7988b2e6, "__napi_schedule" },
	{ 0xdd03c9c0, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x9c8a095, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf5a3eb1d, "__free_pages" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0x53fb3823, "napi_gro_receive" },
	{ 0x9abbe738, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x15bd4f25, "dma_alloc_attrs" },
	{ 0x25b5b959, "napi_enable" },
	{ 0xa427af91, "register_netdev" },
	{ 0x713ab8d9, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1fa3146c, "__put_devmap_managed_folio_refs" },
	{ 0x46c2eaf6, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdc900373, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0xb21b11b1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45a528db, "__netdev_alloc_skb" },
	{ 0xb2c8080e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d000010CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001520sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B27A0831242B8005495CEAD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
