#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geneve_dev_create_fb, "_gpl", "");

SYMBOL_CRC(geneve_dev_create_fb, 0xd7cebd3b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a11447d, "rt6_lookup" },
	{ 0xde8664a9, "ip_route_output_flow" },
	{ 0xe813d453, "gro_cells_init" },
	{ 0x6d33dedb, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x92330d47, "dev_addr_mod" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc8547339, "udp_tunnel_notify_del_rx_port" },
	{ 0x222efd78, "udp_tunnel_sock_release" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9bfc8b83, "rtnl_create_link" },
	{ 0x7446c430, "rtnl_configure_link" },
	{ 0x713ab8d9, "free_netdev" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xef48af17, "__pskb_pull_tail" },
	{ 0x8b769e47, "skb_copy_bits" },
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0xeb83ec18, "__iptunnel_pull_header" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x311cbfdc, "udp_tun_rx_dst" },
	{ 0x944ab09d, "gro_cells_receive" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbca767f7, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x92997ed8, "_printk" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc908141b, "eth_gro_receive" },
	{ 0xe0ced0f8, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x34f1dbff, "udp_tunnel_dst_lookup" },
	{ 0x763f0f65, "udp_tunnel6_dst_lookup" },
	{ 0xda12611c, "__skb_get_hash" },
	{ 0xc291481b, "consume_skb" },
	{ 0x9a6eb80a, "skb_tunnel_check_pmtu" },
	{ 0x4dec148a, "__netif_rx" },
	{ 0x8a0147c4, "udp_tunnel6_xmit_skb" },
	{ 0x86062440, "udp_tunnel_xmit_skb" },
	{ 0xb2c8080e, "__dynamic_netdev_dbg" },
	{ 0x89c83182, "ip6_dst_hoplimit" },
	{ 0x46c2eaf6, "ethtool_op_get_link" },
	{ 0xefd6c451, "eth_mac_addr" },
	{ 0x1f091b8d, "eth_validate_addr" },
	{ 0xec42fa05, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x80473164, "metadata_dst_alloc" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xbb573454, "dst_release" },
	{ 0xdd4037fa, "metadata_dst_free" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0d502a8, "skb_scrub_packet" },
	{ 0x3f14a329, "pskb_expand_head" },
	{ 0xea2857f7, "iptunnel_handle_offloads" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf0388a49, "eth_gro_complete" },
	{ 0xe1c79ad8, "gro_find_complete_by_type" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x661eeda1, "udp_sock_create4" },
	{ 0xf8e0a255, "udp_sock_create6" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xd8502ccc, "udp_tunnel_notify_add_rx_port" },
	{ 0xa79dddf8, "setup_udp_tunnel_sock" },
	{ 0x37a0cba, "kfree" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe285d20c, "register_netdevice" },
	{ 0x883749c3, "unregister_netdevice_queue" },
	{ 0xa4e122f, "register_pernet_subsys" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x48a0adc8, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1237761c, "unregister_pernet_subsys" },
	{ 0xa5a3ccdd, "udp_tunnel_push_rx_port" },
	{ 0x8334b55, "udp_tunnel_drop_rx_port" },
	{ 0x3ffed31e, "rtnl_link_unregister" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "8AE92C6AE137909ECB8227D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
