#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xf9cd070f, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x468cd7cb, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x7931005b, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x1cd8d2a7, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xa122c5f1, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x01082bf2, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x604de68c, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xad4dcae3, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x75bed1ab, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x5936fe46, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x28646196, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x49a7c075, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x166e184a, "_gpl");
SYMBOL_CRC(usbnet_open, 0x0334ad04, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x8dd377a1, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x33d30887, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x8d263ca7, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x2006ead1, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x5785b35b, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x70369896, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xb9bb97ba, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x60622a6b, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x4c4894da, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xae635ec0, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x3a69874e, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x5d1cc38d, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x8acc9fb8, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xd1a995be, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x00b41208, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xd926d54c, "");
SYMBOL_CRC(usbnet_manage_power, 0xef2c3dfd, "");
SYMBOL_CRC(usbnet_link_change, 0x023bf44e, "");
SYMBOL_CRC(usbnet_read_cmd, 0x5b927bd0, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x3f3becf0, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xe2521493, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x7a0fd3a1, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x7d3ebae4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf159d1f6, "usb_set_interface" },
	{ 0xfa9fd5bc, "usb_string" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x92330d47, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x39837a21, "netif_rx" },
	{ 0xbca767f7, "eth_type_trans" },
	{ 0x5c9bf0e, "skb_queue_tail" },
	{ 0xb2c8080e, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb1acc448, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9a7e5532, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x58dbc85b, "usb_unlink_urb" },
	{ 0xdb2dbe23, "usb_free_urb" },
	{ 0x12fd335e, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x83cdc20b, "usb_submit_urb" },
	{ 0x7c3c164a, "netdev_err" },
	{ 0x6a57a601, "mii_ethtool_get_link_ksettings" },
	{ 0x9d361f63, "mii_ethtool_set_link_ksettings" },
	{ 0xff6b3164, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x5ea45dd7, "unregister_netdev" },
	{ 0xc291481b, "consume_skb" },
	{ 0x75a68022, "usb_get_from_anchor" },
	{ 0xfd0d9b66, "usb_kill_urb" },
	{ 0x713ab8d9, "free_netdev" },
	{ 0xe42845ee, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9c8a095, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9abbe738, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xab72ed5b, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc5c13711, "usb_autopm_get_interface" },
	{ 0xa4a373cc, "usb_autopm_put_interface" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x470c733a, "usb_alloc_urb" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2ee07007, "mii_link_ok" },
	{ 0x46c2eaf6, "ethtool_op_get_link" },
	{ 0x7a62ddb6, "usb_autopm_put_interface_async" },
	{ 0x718a4b68, "netif_carrier_on" },
	{ 0x63506008, "netif_carrier_off" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa18bb251, "usb_autopm_get_interface_async" },
	{ 0x36f858ae, "skb_tstamp_tx" },
	{ 0x896fa2c9, "dev_kfree_skb_any_reason" },
	{ 0x92c824e9, "usb_anchor_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1e0ef5bc, "skb_dequeue" },
	{ 0x8e6eb13b, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa427af91, "register_netdev" },
	{ 0xe988943f, "pm_runtime_enable" },
	{ 0x5e991960, "usb_check_bulk_endpoints" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x45a528db, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdc900373, "netif_tx_wake_queue" },
	{ 0xd5cecc67, "usb_autopm_get_interface_no_resume" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0xaba62103, "usb_clear_halt" },
	{ 0xefd6c451, "eth_mac_addr" },
	{ 0x1f091b8d, "eth_validate_addr" },
	{ 0xb3182e8c, "ethtool_op_get_ts_info" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "52669E329FAC1E8A7B7CF4C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
