#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0xf85223cf, "");
SYMBOL_CRC(ath10k_info, 0xd8717b53, "");
SYMBOL_CRC(ath10k_print_driver_info, 0xb335175a, "");
SYMBOL_CRC(ath10k_err, 0x6ee9190b, "");
SYMBOL_CRC(ath10k_warn, 0x7e91d0a8, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xad70638d, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xfd991ba6, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x1afd9fb8, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x974fe9a1, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x94948f28, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x710bfdb4, "");
SYMBOL_CRC(ath10k_core_start, 0x6b24f5f2, "");
SYMBOL_CRC(ath10k_core_stop, 0x778807d8, "");
SYMBOL_CRC(ath10k_core_register, 0x48855697, "");
SYMBOL_CRC(ath10k_core_unregister, 0x30a79f88, "");
SYMBOL_CRC(ath10k_core_create, 0x24a1ee9d, "");
SYMBOL_CRC(ath10k_core_destroy, 0x271cad56, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x248adf1d, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x9c1e1349, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xad9b9033, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xb8b33b2e, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x677f93e8, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x8c04ed2a, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x67254085, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0xff08faa0, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x51fd02f2, "");
SYMBOL_CRC(ath10k_bmi_start, 0x9ee36e42, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x231d373f, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xd7053100, "");
SYMBOL_CRC(ath10k_coredump_new, 0xe718ee91, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xdce19d87, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xcaa74d2d, "");
SYMBOL_CRC(ath10k_ce_send, 0x00957e11, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x781bf132, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xd7fdc485, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x1af5f756, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x8eed3ee0, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x9eda49ad, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x2434a524, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x09b56c6b, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xc2fb0e4f, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x885dd91b, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xba2d62e4, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xa7056be7, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x999fba5e, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x12f6ad2e, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x625bbeb1, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x46c6b6b9, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x577d0ef7, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xdb4eaf39, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0xe412e4a4, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x006b2428, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xdc15b302, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xc13ba1b0, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0xbe9ce4d1, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x5661e208, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x579e668b, "napi_disable" },
	{ 0x896fa2c9, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xbc317bbe, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0x2f90bc25, "skb_queue_head" },
	{ 0x5ef3bd10, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x76e0b43, "ieee80211_beacon_update_cntdwn" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x17a2dc4b, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0x60e18117, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xed9fc73f, "is_acpi_device_node" },
	{ 0x6b6e6b3, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x54b8bf6e, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x5b3b296d, "ieee80211_txq_get_depth" },
	{ 0x98301c25, "param_ops_uint" },
	{ 0x7c253c6f, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd714168b, "firmware_request_nowarn" },
	{ 0xc291481b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6fccec6, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a44fc04, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1e0ef5bc, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xed2deb26, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xf6d2ae7c, "dma_unmap_page_attrs" },
	{ 0xc924d83a, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xd76d6353, "ieee80211_iterate_stations_atomic" },
	{ 0x8c227c7a, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x222ddaed, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{  0xbe61e, "pcpu_hot" },
	{ 0x3d56cc2b, "thermal_cooling_device_register" },
	{ 0x823e13e6, "ieee80211_register_hw" },
	{ 0xc74c51, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x7107cc3a, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x15e63a46, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f14a329, "pskb_expand_head" },
	{ 0xb1acc448, "skb_queue_purge_reason" },
	{ 0xb5e650f6, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x9bb50a2e, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x90c0a7be, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x1f672cff, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0x32b9d161, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x5c9bf0e, "skb_queue_tail" },
	{ 0x78765d18, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x17443580, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf7c03ce4, "wiphy_to_ieee80211_hw" },
	{ 0x3e83a75a, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1c175def, "ieee80211_queue_delayed_work" },
	{ 0x79ba8005, "ieee80211_proberesp_get" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x3bc795b4, "skb_pull" },
	{ 0xb0bbbb64, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x119e6995, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x986414c3, "ieee80211_find_sta_by_ifaddr" },
	{ 0xf6e3efa0, "ieee80211_next_txq" },
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbd0407ae, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa75b8de7, "skb_push" },
	{ 0x15bd4f25, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x25b5b959, "napi_enable" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe74e868b, "ieee80211_wake_queues" },
	{ 0x713ab8d9, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd2354d22, "ieee80211_report_low_ack" },
	{ 0xbc30887e, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbdceab81, "ieee80211_free_txskb" },
	{ 0xcb00cfcd, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeb369122, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x8f71ebb2, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x44278c39, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xac43745c, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5a7cef19, "devm_nvmem_cell_get" },
	{ 0x7bc5120a, "ieee80211_stop_queue" },
	{ 0x45a528db, "__netdev_alloc_skb" },
	{ 0x42c9055e, "ieee80211_ready_on_channel" },
	{ 0x1475a89a, "ieee80211_stop_queues" },
	{ 0x6c7b5850, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x19af2886, "skb_realloc_headroom" },
	{ 0x4962da53, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa1f2fc43, "alloc_netdev_dummy" },
	{ 0xbc9dec91, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x2dad87da, "ieee80211_scan_completed" },
	{ 0x52c89b7f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec42fa05, "param_ops_bool" },
	{ 0xc26f9a79, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x59a43d5c, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd9513788, "ath_regd_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc354dcd6, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2e3ed47c, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x99dd4c00, "ieee80211_tdls_oper_request" },
	{ 0xc88716b6, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3602898b, "thermal_cooling_device_unregister" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x69f6a0e7, "ieee80211_tx_rate_update" },
	{ 0xd4fdf238, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "2F02171A570E3CFF285E1D6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
