#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath6kl_printk, "", "");
KSYMTAB_FUNC(ath6kl_info, "", "");
KSYMTAB_FUNC(ath6kl_err, "", "");
KSYMTAB_FUNC(ath6kl_warn, "", "");
KSYMTAB_FUNC(ath6kl_read_tgt_stats, "", "");
KSYMTAB_FUNC(ath6kl_hif_rw_comp_handler, "", "");
KSYMTAB_FUNC(ath6kl_hif_intr_bh_handler, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_suspend, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_resume, "", "");
KSYMTAB_FUNC(ath6kl_stop_txrx, "", "");
KSYMTAB_FUNC(ath6kl_core_tx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_rx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_init, "", "");
KSYMTAB_FUNC(ath6kl_core_create, "", "");
KSYMTAB_FUNC(ath6kl_core_cleanup, "", "");
KSYMTAB_FUNC(ath6kl_core_destroy, "", "");

SYMBOL_CRC(ath6kl_printk, 0xb881b1a9, "");
SYMBOL_CRC(ath6kl_info, 0x3502feef, "");
SYMBOL_CRC(ath6kl_err, 0xb9a689dd, "");
SYMBOL_CRC(ath6kl_warn, 0x1354043d, "");
SYMBOL_CRC(ath6kl_read_tgt_stats, 0x310ec045, "");
SYMBOL_CRC(ath6kl_hif_rw_comp_handler, 0x91cfb84a, "");
SYMBOL_CRC(ath6kl_hif_intr_bh_handler, 0x7721a49a, "");
SYMBOL_CRC(ath6kl_cfg80211_suspend, 0x693e667e, "");
SYMBOL_CRC(ath6kl_cfg80211_resume, 0x34aba9ba, "");
SYMBOL_CRC(ath6kl_stop_txrx, 0xf604302f, "");
SYMBOL_CRC(ath6kl_core_tx_complete, 0x70e00df1, "");
SYMBOL_CRC(ath6kl_core_rx_complete, 0xc64aa4b5, "");
SYMBOL_CRC(ath6kl_core_init, 0x5965e21a, "");
SYMBOL_CRC(ath6kl_core_create, 0x042a7da3, "");
SYMBOL_CRC(ath6kl_core_cleanup, 0x207d4e8a, "");
SYMBOL_CRC(ath6kl_core_destroy, 0x9d322962, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x32b9d161, "cfg80211_put_bss" },
	{ 0xeb14787b, "cfg80211_roamed" },
	{ 0x10ef9942, "cfg80211_ch_switch_notify" },
	{ 0x12fd335e, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x498bceb6, "skb_copy_expand" },
	{ 0x5c9bf0e, "skb_queue_tail" },
	{ 0x78765d18, "ieee80211_get_channel_khz" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xae5fed52, "cfg80211_get_drvinfo" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2959a536, "cfg80211_ibss_joined" },
	{ 0x3bc795b4, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x2201bffe, "cfg80211_michael_mic_failure" },
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa75b8de7, "skb_push" },
	{ 0xb9b1e947, "cfg80211_del_sta_sinfo" },
	{ 0x89bcc5e2, "wiphy_unregister" },
	{ 0x713ab8d9, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x46c2eaf6, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdc900373, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3cdcabf, "cfg80211_pmksa_candidate_notify" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x39837a21, "netif_rx" },
	{ 0x45a528db, "__netdev_alloc_skb" },
	{ 0x6c7b5850, "skb_trim" },
	{ 0xdb8f69a8, "cfg80211_check_station_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7949a34b, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x9567e12b, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x63506008, "netif_carrier_off" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2e3ed47c, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x718a4b68, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5a708d98, "cfg80211_conn_failed" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x40d27f14, "cfg80211_inform_bss_data" },
	{ 0xf6e07bda, "cfg80211_connect_done" },
	{ 0xbc317bbe, "__cfg80211_get_bss" },
	{ 0xfdda7fd, "wiphy_free" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x9594b90f, "cfg80211_sched_scan_results" },
	{ 0x3261148b, "cfg80211_cqm_txe_notify" },
	{ 0x139c7921, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x98301c25, "param_ops_uint" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0x1bfa0ed0, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x133da6f1, "cfg80211_sched_scan_stopped" },
	{ 0xc291481b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfa3f9920, "cfg80211_remain_on_channel_expired" },
	{ 0x1e0ef5bc, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x786eb854, "cfg80211_register_netdevice" },
	{ 0xaaaf0a17, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x222ddaed, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1d90288c, "cfg80211_new_sta" },
	{ 0x252054e1, "netdev_set_default_ethtool_ops" },
	{ 0x7667c62a, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x6d33dedb, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f14a329, "pskb_expand_head" },
	{ 0xb1acc448, "skb_queue_purge_reason" },
	{ 0x92330d47, "dev_addr_mod" },
	{ 0xbca767f7, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc358c5, "alloc_netdev_mqs" },
	{ 0x814d1937, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb7494b5, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x21a0d54f, "wiphy_register" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "72FB4C58FCDF1FE81609892");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
