#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0x784714f3, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0xc7cb4ce7, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0xbed5c4f3, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0x6671e2f7, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0x48f8b0db, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0xdaea78d8, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0xc9346223, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0x723304c7, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0xc1ba8a5c, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0x949b309c, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0xa2310a3a, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0x1068226c, "_gpl");
SYMBOL_CRC(__mt76u_init, 0x189a6e41, "_gpl");
SYMBOL_CRC(mt76u_init, 0xe3475110, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{  0xbe61e, "pcpu_hot" },
	{ 0x94cfb5c4, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1be7f544, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2808b7fc, "kthread_park" },
	{ 0xf9594a09, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7faac27, "mt76_tx_status_check" },
	{ 0xceb1a8a6, "wake_up_process" },
	{ 0x6f9dba6, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x3c398bf4, "__alloc_skb" },
	{ 0x83cdc20b, "usb_submit_urb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfa1f4f2b, "kthread_unpark" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xed8d5b4, "build_skb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2798b5cb, "perf_trace_run_bpf_submit" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xab72ed5b, "usb_control_msg" },
	{ 0x15e2b996, "usb_poison_urb" },
	{ 0xe0e7f166, "trace_event_reg" },
	{ 0x19fc778f, "usb_unpoison_urb" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x36c61205, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5433aa81, "mt76_queue_tx_complete" },
	{ 0xb9eb4ac3, "kthread_create_on_node" },
	{ 0x6be349f6, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4e6044fd, "mt76_rx_poll_complete" },
	{ 0x3cb44020, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xec42fa05, "param_ops_bool" },
	{ 0xfd0d9b66, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x8f21addc, "usb_init_urb" },
	{ 0x975021d, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x357c5faa, "mt76_create_page_pool" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x8149de7d, "skb_to_sgvec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2585066a, "page_pool_put_unrefed_page" },
	{ 0xdb2dbe23, "usb_free_urb" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x93b3495a, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x40ab2154, "trace_raw_output_prep" },
	{ 0xfab916ae, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x57b29b93, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6a4ce540, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdc1699cd, "mt76_has_tx_pending" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "mt76,usbcore");


MODULE_INFO(srcversion, "31F342AF061EEFD57471227");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
