#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl_usb_probe, "", "");
KSYMTAB_FUNC(rtl_usb_disconnect, "", "");
KSYMTAB_FUNC(rtl_usb_suspend, "", "");
KSYMTAB_FUNC(rtl_usb_resume, "", "");

SYMBOL_CRC(rtl_usb_probe, 0x32342d15, "");
SYMBOL_CRC(rtl_usb_disconnect, 0x00dd211c, "");
SYMBOL_CRC(rtl_usb_suspend, 0xa130fb29, "");
SYMBOL_CRC(rtl_usb_resume, 0x67c77efa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x6db3ba37, "rtl_update_beacon_work_callback" },
	{ 0xc0d40992, "usb_get_dev" },
	{ 0x83cdc20b, "usb_submit_urb" },
	{ 0x3e8b510b, "rtl_init_sw_leds" },
	{ 0x5c9bf0e, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0xd8ff2fb, "usb_free_coherent" },
	{ 0x3bc795b4, "skb_pull" },
	{ 0x3ee466c9, "rtl_init_rx_config" },
	{ 0x2d32cdfc, "rtl_lps_change_work_callback" },
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab72ed5b, "usb_control_msg" },
	{ 0xa89d1530, "rtl_action_proc" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4868493b, "rtl_init_core" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeb369122, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x45a528db, "__netdev_alloc_skb" },
	{ 0x8e175e6a, "usb_unanchor_urb" },
	{ 0x59a43d5c, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x75a68022, "usb_get_from_anchor" },
	{ 0xa03bb7b7, "rtl_deinit_core" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x896fa2c9, "dev_kfree_skb_any_reason" },
	{ 0xd012fe02, "rtl_deinit_deferred_work" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x5ef3bd10, "ieee80211_rx_napi" },
	{ 0x470c733a, "usb_alloc_urb" },
	{ 0x92c824e9, "usb_anchor_urb" },
	{ 0x2e69f103, "rtl_beacon_statistic" },
	{ 0xdb2dbe23, "usb_free_urb" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0x58d5a121, "usb_alloc_coherent" },
	{ 0xa6257a2f, "complete" },
	{ 0x1e0ef5bc, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xed2deb26, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x823e13e6, "ieee80211_register_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb1acc448, "skb_queue_purge_reason" },
	{ 0x76416516, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa99bb7f6, "rtl_ops" },
	{ 0x90c0a7be, "ieee80211_tx_status_irqsafe" },
	{ 0x64b82fd7, "usb_put_dev" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rtlwifi,mac80211");


MODULE_INFO(srcversion, "191673212D1A292C6C26CE4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
