#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(s3fwrn5_probe, "", "");
KSYMTAB_FUNC(s3fwrn5_remove, "", "");
KSYMTAB_FUNC(s3fwrn5_recv_frame, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_set_wake, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_power_ctrl, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_set_mode, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_get_mode, "", "");

SYMBOL_CRC(s3fwrn5_probe, 0xafc210bf, "");
SYMBOL_CRC(s3fwrn5_remove, 0xfbf327f1, "");
SYMBOL_CRC(s3fwrn5_recv_frame, 0xe2dab924, "");
SYMBOL_CRC(s3fwrn5_phy_set_wake, 0x774203fc, "");
SYMBOL_CRC(s3fwrn5_phy_power_ctrl, 0xfdb0134e, "");
SYMBOL_CRC(s3fwrn5_phy_set_mode, 0xedb12f10, "");
SYMBOL_CRC(s3fwrn5_phy_get_mode, 0xf2ab60da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa9b3dc3e, "crypto_shash_tfm_digest" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaaaf0a17, "request_firmware" },
	{ 0x9aee6b05, "gpiod_set_raw_value" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc267bfdd, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c398bf4, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2d1f5fa, "nci_core_reset" },
	{ 0x74988564, "nci_prop_cmd" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x30686382, "nci_unregister_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd5121f6a, "nci_core_init" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x841e91cc, "gpio_to_desc" },
	{ 0xd4e67dbb, "nci_recv_frame" },
	{ 0x754d539c, "strlen" },
	{ 0x3af9d1f2, "crypto_alloc_shash" },
	{ 0xa2252368, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xca7ff137, "nci_free_device" },
	{ 0xb4ba1c34, "nci_allocate_device" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4b63adf4, "nci_register_device" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0xc291481b, "consume_skb" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "nci");


MODULE_INFO(srcversion, "17D4D3F7D2E69284C999E53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
