#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xe4598676, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x8b92387d, "");
SYMBOL_CRC(rio_alloc_net, 0x7d72761f, "_gpl");
SYMBOL_CRC(rio_add_net, 0x68385baa, "_gpl");
SYMBOL_CRC(rio_free_net, 0x85750b97, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x7f18e31f, "_gpl");
SYMBOL_CRC(rio_add_device, 0x0511f536, "_gpl");
SYMBOL_CRC(rio_del_device, 0x014060fd, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x77de16f7, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x149e0e69, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x32f791b8, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0xaf8862ed, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0xc828ad81, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0xf9592329, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xdd15eceb, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x2ea5ff36, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0xf3b977f5, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x6b2dca3c, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x99ffc8e2, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x0fea3260, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x156f0b41, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x267d3d29, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0xa96853c0, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0xa2681ad5, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x7903cd0d, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x45efcac2, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x7d34e868, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0xa3a19d06, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x60ddb901, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x0e400665, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x6cd47520, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x79735e19, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xde283117, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x4f1d9417, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x005bae25, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x937c842e, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x61ece03d, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x1ce83d22, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0xdcfa3542, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x566284fe, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xb055b20c, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x8c94608b, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x73abb190, "_gpl");
SYMBOL_CRC(rio_register_scan, 0xeea6a1da, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x09f91f89, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x7b83e9e8, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x5a81f24f, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0xde1bdbba, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xa8d575a9, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x7ae19b2f, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x3e2b3404, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x2dc54772, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x40d1e5c6, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0xa36d16b1, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x7b3e3fb2, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0xbbf92c3c, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0xbcfb2f41, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x543a2784, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0xea6e6b48, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x9d7d8e9e, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0xe733d772, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xa4ed0c38, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x5c1f801f, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x0949f4de, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0xac98cbd7, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x3622ff5f, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x6ef27b61, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xa5c29fa3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36876cd4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb24fa97e, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66ae6d4, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7c0fd89, "module_put" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x599e49a5, "driver_unregister" },
	{ 0xd398bf52, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1bcf48ad, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x2efd78d0, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3b7fb2f2, "driver_register" },
	{ 0x366b1df4, "class_register" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0xe1c23b96, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x51855226, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1a3ce6b6, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8adb10f2, "device_unregister" },
	{ 0xd1b9a1c9, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x21ff574d, "dma_release_channel" },
	{ 0x3bc4a43f, "device_for_each_child" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA39A8CF0BA0076D2DDF66");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
