#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0x8eddf43f, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0x31ca37cb, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0xa5c004f1, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x718d3a4d, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0x5db8b62b, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0x4f645172, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0x57eb1214, "_gpl");
SYMBOL_CRC(inet_diag_register, 0x6463021a, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0xccb5148d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x51855226, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0x3f14a329, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa7c0fd89, "module_put" },
	{ 0x55981918, "__netlink_dump_start" },
	{ 0x7b89c4ca, "sock_diag_unregister" },
	{ 0xed3cb9b6, "sock_diag_unregister_inet_compat" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0x1fe2d369, "sock_diag_register" },
	{ 0xeff08086, "sock_diag_register_inet_compat" },
	{ 0xb808192, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0x2ece77be, "inet6_lookup" },
	{ 0xbbf404ae, "sock_diag_check_cookie" },
	{ 0xdb12d071, "sock_gen_put" },
	{ 0xea1ed4f1, "__inet_lookup_established" },
	{ 0xa5fc1fc7, "__inet_lookup_listener" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xff80ff70, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d0971c2, "sock_diag_put_meminfo" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb3673cd, "bpf_sk_storage_diag_put" },
	{ 0xa916b694, "strnlen" },
	{ 0x6350d90a, "nla_reserve_64bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3c398bf4, "__alloc_skb" },
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0xb98d3597, "netlink_unicast" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x19bd2b96, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c237399, "sock_diag_save_cookie" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x5c6cdb3d, "sock_i_uid" },
	{ 0xdfbab82c, "from_kuid_munged" },
	{ 0xfe48c807, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c7b5850, "skb_trim" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9598517336DDA390B6C2D84");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
