#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0xa94806af, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xeedf06a4, "");
SYMBOL_CRC(ieee802154_free_hw, 0xdc24e997, "");
SYMBOL_CRC(ieee802154_register_hw, 0xc720e6f1, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x2db34bdf, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xd2c7c22f, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x93c09a0e, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x0b09d502, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xf9e2a10b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8e05e717, "nl802154_scan_started" },
	{ 0x32e1113e, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x3c398bf4, "__alloc_skb" },
	{ 0x498bceb6, "skb_copy_expand" },
	{ 0x5c9bf0e, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x77af810e, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2798b5cb, "perf_trace_run_bpf_submit" },
	{ 0xd52bc63b, "cfg802154_get_free_short_addr" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6733fed, "wpan_phy_register" },
	{ 0x68181e90, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf66202f5, "crypto_aead_encrypt" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4755db20, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa75b8de7, "skb_push" },
	{ 0xb75ccf1d, "ieee802154_hdr_peek" },
	{ 0xb91b2212, "wpan_phy_free" },
	{ 0xefcb5966, "netif_receive_skb" },
	{ 0xe0e7f166, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x713ab8d9, "free_netdev" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcb6d5b05, "bpf_trace_run1" },
	{ 0xdc900373, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf455025, "ieee802154_hdr_pull" },
	{ 0x4776e28e, "nl802154_scan_event" },
	{ 0xbf9bd710, "crypto_alloc_sync_skcipher" },
	{ 0x6c7b5850, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb2c8080e, "__dynamic_netdev_dbg" },
	{ 0x6be349f6, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3cb44020, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x35f743c9, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x922db4f9, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa335e312, "wpan_phy_new" },
	{ 0x841f04a4, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xffd2d089, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x26803c43, "kmalloc_trace_noprof" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x896fa2c9, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xea8c89c8, "cfg802154_device_is_parent" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadd9bf33, "kmalloc_caches" },
	{ 0x15be76aa, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe285d20c, "register_netdevice" },
	{ 0x5ec0c71e, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd758a7c2, "bpf_trace_run4" },
	{ 0xee162254, "nl802154_beaconing_done" },
	{ 0x12b2cb7f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc291481b, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x40ab2154, "trace_raw_output_prep" },
	{ 0x1e0ef5bc, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfab916ae, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x57b29b93, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xd2d41974, "dev_alloc_name" },
	{ 0x6a4ce540, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xd498e3b7, "ieee802154_mac_cmd_push" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{  0xbe61e, "pcpu_hot" },
	{ 0x9b8f0639, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x1be7f544, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfc8fb099, "netdev_warn" },
	{ 0x6100d504, "crypto_aead_setauthsize" },
	{ 0xe1f06711, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x845e6f63, "crypto_skcipher_setkey" },
	{ 0x883749c3, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2cb2b652, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44a1860f, "wpan_phy_unregister" },
	{ 0x6f9dba6, "trace_event_buffer_commit" },
	{ 0x92330d47, "dev_addr_mod" },
	{ 0xc267bfdd, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc358c5, "alloc_netdev_mqs" },
	{ 0xcedf4c0a, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "614EA078CF5FDBF1239C781");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
