#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x8bedea5f, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x7d8d24b9, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0xe704d613, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xe4449089, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x2c34c2c5, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x06bcedda, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x21930487, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xd325905a, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x80506e75, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x7f7740b4, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x761b39a9, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x0ce91bf0, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x3482f619, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xdefb1ae8, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x20fdd83d, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x96a8dee2, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x59c6ea91, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c397a70, "devm_request_threaded_irq" },
	{ 0x7bfc96ee, "cs_amp_get_efi_calibration_data" },
	{ 0xe53c2b79, "regmap_raw_read" },
	{ 0xf087e528, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x39f547f7, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd43b1b03, "_dev_info" },
	{ 0x727271b6, "regmap_multi_reg_write_bypassed" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x814a029e, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae991bb, "regmap_read_bypassed" },
	{ 0x1b8280de, "regmap_read" },
	{ 0xa0b49ffe, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6aca9e40, "_dev_crit" },
	{ 0x6d3052c, "regmap_update_bits_base" },
	{ 0x830f24ce, "dev_err_probe" },
	{ 0x1b40dfee, "__pm_runtime_suspend" },
	{ 0x5bbf6cb6, "regmap_register_patch" },
	{ 0xc42a15d0, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x416a6ee9, "gpiod_get_value_cansleep" },
	{ 0x99f05fca, "regcache_cache_only" },
	{ 0x2b0e57ff, "regcache_sync" },
	{ 0x89fa933d, "regmap_write" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "C0396D2D9B4FE55978D7033");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
