#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nau8821_enable_jack_detect, "_gpl", "");

SYMBOL_CRC(nau8821_enable_jack_detect, 0x075cabcb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1957bc9, "i2c_register_driver" },
	{ 0xe35ade73, "snd_soc_info_volsw" },
	{ 0x5b285cb6, "_dev_err" },
	{ 0x101cd986, "snd_soc_dapm_put_volsw" },
	{ 0xac428a4, "snd_soc_dapm_force_bias_level" },
	{ 0xec42f02e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd8eea27e, "snd_soc_info_enum_double" },
	{ 0xd43a6d4e, "snd_soc_get_volsw" },
	{ 0x1b8280de, "regmap_read" },
	{ 0xea519049, "snd_soc_put_volsw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x185ff485, "snd_soc_component_disable_pin" },
	{ 0x6d3052c, "regmap_update_bits_base" },
	{ 0x7305e198, "snd_soc_dapm_get_volsw" },
	{ 0x28ef83d3, "i2c_del_driver" },
	{ 0x10e87aa5, "regmap_raw_write" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8c35c5c7, "device_property_present" },
	{ 0x99f05fca, "regcache_cache_only" },
	{ 0x2b0e57ff, "regcache_sync" },
	{ 0x89fa933d, "regmap_write" },
	{ 0x6c397a70, "devm_request_threaded_irq" },
	{ 0x98301c25, "param_ops_uint" },
	{ 0xa513ee50, "devm_kmalloc" },
	{ 0xf7237154, "snd_soc_component_force_enable_pin" },
	{ 0xa97e670f, "snd_soc_bytes_info_ext" },
	{ 0x4e3dc9a5, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe53c2b79, "regmap_raw_read" },
	{ 0x8160de9, "snd_pcm_hw_constraint_minmax" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa120f96e, "snd_soc_put_enum_double" },
	{ 0xf087e528, "regcache_mark_dirty" },
	{ 0xa1fe2ad4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc7cbdc1, "snd_soc_dapm_sync" },
	{ 0x4d1715e, "devm_snd_soc_register_component" },
	{ 0x10841671, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c374b9b, "device_property_read_u32_array" },
	{ 0xce53e5a2, "snd_soc_get_enum_double" },
	{ 0x29f14ed7, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("acpi*:NVTN2020:*");
MODULE_ALIAS("i2c:nau8821");

MODULE_INFO(srcversion, "40533A6F914C62F799ED1B0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
